Console Output

Started by upstream project "CE_gplibrary_Push_research_models" build number 212
originally caused by:
 Started by user eburn
Running as eburn
[EnvInject] - Loading node environment variables.
Building remotely on macys_VM in workspace /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek
No credentials specified
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/convexengineering/gplibrary
 > git init /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gplibrary
 > git --version # timeout=10
 > git fetch --tags --progress -- https://github.com/convexengineering/gplibrary +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gplibrary # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/convexengineering/gplibrary # timeout=10
Fetching upstream changes from https://github.com/convexengineering/gplibrary
 > git fetch --tags --progress -- https://github.com/convexengineering/gplibrary +refs/pull/*:refs/remotes/origin/pr/* +refs/heads/master:refs/remotes/origin/master # timeout=10
Checking out Revision 98a82984be73b23a766206de406f4ad857a73ce0 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 98a82984be73b23a766206de406f4ad857a73ce0 # timeout=3
Commit message: "python3 compatibility (#176)"
 > git rev-list --no-walk 98a82984be73b23a766206de406f4ad857a73ce0 # timeout=10
Run condition [Execution node ] enabling prebuild for step [Execute shell]
Run condition [Execution node ] enabling prebuild for step [Execute Windows batch command]
[Execution node] check if [macys_VM] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[mosek] $ /bin/bash -xe /var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/jenkins6553352746651698361.sh
+ git clone ssh://acdl.mit.edu/home/svnroot/JenkinsGPkit
Cloning into 'JenkinsGPkit'...
+ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/JenkinsGPkit/gplibrary_models.sh
++ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/JenkinsGPkit/all_machines.sh
+++ [[ macys_VM == *macys* ]]
+++ export PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+++ PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+++ virtualenv /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit
New python executable in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/python
Installing setuptools, pip, wheel...done.
+++ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/activate
++++ deactivate nondestructive
++++ unset -f pydoc
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ '[' -n /bin/bash ']'
++++ hash -r
++++ '[' -z '' ']'
++++ unset VIRTUAL_ENV
++++ '[' '!' nondestructive = nondestructive ']'
++++ VIRTUAL_ENV=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit
++++ export VIRTUAL_ENV
++++ _OLD_VIRTUAL_PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++++ PATH=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++++ export PATH
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ _OLD_VIRTUAL_PS1=
++++ '[' x '!=' x ']'
+++++ basename /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit
++++ PS1='(venv2_gpkit) '
++++ export PS1
++++ alias pydoc
++++ '[' -n /bin/bash ']'
++++ hash -r
+++ ls /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek
EXTERNALTESTS
EXTERNALTESTSreadme.md
JenkinsGPkit
LICENSE
README.md
TESTCONFIG
TESTS
gpkitmodels
setup.py
venv2_gpkit
++++ which pip
+++ export PIP=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip
+++ PIP=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip
+++ pip_install pip
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade pip
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: pip in ./venv2_gpkit/lib/python2.7/site-packages (20.0.2)
+++ export GPKITBUILD=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/build_gpkit
+++ GPKITBUILD=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/build_gpkit
++ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/JenkinsGPkit/mosek_installs.sh
+++ [[ mosek == mosek ]]
+++ [[ macys_VM == *reynolds* ]]
+++ [[ macys_VM == *macys* ]]
+++ export PATH=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ PATH=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ export DYLD_LIBRARY_PATH=:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ DYLD_LIBRARY_PATH=:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ python /Users/jenkins/mosek/9.1/tools/platform/osx64x86/python/2/setup.py install
running install
running build
running build_py
running build_ext
copying mosek/_msk.so -> build/lib.macosx-10.13-intel-2.7/mosek
copying mosek/fusion/impl/fragments.so -> build/lib.macosx-10.13-intel-2.7/mosek/fusion/impl
running install_lib
creating /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek
creating /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion
creating /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.13-intel-2.7/mosek/fusion/impl/fragments.so -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.13-intel-2.7/mosek/fusion/impl/__init__.py -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.13-intel-2.7/mosek/fusion/impl/_implementation.py -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.13-intel-2.7/mosek/fusion/__init__.py -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion
copying build/lib.macosx-10.13-intel-2.7/mosek/fusion/Utils.py -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion
copying build/lib.macosx-10.13-intel-2.7/mosek/_msk.so -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek
copying build/lib.macosx-10.13-intel-2.7/mosek/__init__.py -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek
byte-compiling /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/impl/__init__.py to __init__.pyc
byte-compiling /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/impl/_implementation.py to _implementation.pyc
byte-compiling /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/__init__.py to __init__.pyc
byte-compiling /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/fusion/Utils.py to Utils.pyc
byte-compiling /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/__init__.py to __init__.pyc
running install_egg_info
Writing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/Mosek-9.1.11-py2.7.egg-info
Fixing library paths
copying /Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin/libmosek64.9.1.dylib -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/
copying /Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin/libcilkrts.5.dylib -> /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/mosek/
+++ python -c '__import__("mosek").Env()'
+++ msktestlic
Mosek license manager: License path: /Users/jenkins/mosek/mosek.lic
Mosek license manager:  Checkout license feature 'PTS' from flexlm.
Mosek license manager:  Checkout time 0.01. r: 0 status: 0
Problem
  Name                   :                 
  Objective sense        : min             
  Type                   : LO (linear optimization problem)
  Constraints            : 1               
  Cones                  : 0               
  Scalar variables       : 5000            
  Matrix variables       : 0               
  Integer variables      : 0               

Optimizer started.
Presolve started.
Eliminator started.
Freed constraints in eliminator : 0
Eliminator terminated.
Eliminator started.
Freed constraints in eliminator : 0
Eliminator terminated.
Eliminator - tries                  : 2                 time                   : 0.00            
Lin. dep.  - tries                  : 0                 time                   : 0.00            
Lin. dep.  - number                 : 0               
Presolve terminated. Time: 0.00    
Optimizer terminated. Time: 0.00    

************************************
A license was checked out correctly.
************************************
+++ export 'GPKITSOLVERS=mosek, mosek_cli, mosek_conif'
+++ GPKITSOLVERS='mosek, mosek_cli, mosek_conif'
+++ COVERAGE_OMIT=gpkit/_cvxopt.py
++ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/JenkinsGPkit/cvxopt_installs.sh
+++ [[ mosek == cvxopt ]]
++ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/JenkinsGPkit/pip_installs_base.sh
+++ pip_install ad
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade ad
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/Library/Caches/pip/wheels/e0/b7/73/3a561be3a31777f33fc78fff1794d10d1012dfeb8ef54c21e8/ad-1.3.2-cp27-none-any.whl
Installing collected packages: ad
Successfully installed ad-1.3.2
+++ pip_install xmlrunner
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade xmlrunner
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/Library/Caches/pip/wheels/c8/0e/05/28e4ff5b683c7a319756b412c7f4dc508a7ffa654e12c54ef5/xmlrunner-1.7.7-cp27-none-any.whl
Installing collected packages: xmlrunner
Successfully installed xmlrunner-1.7.7
+++ pip_install pandas
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade pandas
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pandas
  Using cached pandas-0.24.2-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl (16.7 MB)
Collecting pytz>=2011k
  Using cached pytz-2019.3-py2.py3-none-any.whl (509 kB)
Collecting numpy>=1.12.0
  Using cached numpy-1.16.6-cp27-cp27m-macosx_10_9_x86_64.whl (13.9 MB)
Collecting python-dateutil>=2.5.0
  Using cached python_dateutil-2.8.1-py2.py3-none-any.whl (227 kB)
Collecting six>=1.5
  Using cached six-1.14.0-py2.py3-none-any.whl (10 kB)
Installing collected packages: pytz, numpy, six, python-dateutil, pandas
Successfully installed numpy-1.16.6 pandas-0.24.2 python-dateutil-2.8.1 pytz-2019.3 six-1.14.0
+++ pip_install matplotlib
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade matplotlib
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting matplotlib
  Using cached matplotlib-2.2.5-cp27-cp27m-macosx_10_9_x86_64.whl (12.9 MB)
Collecting backports.functools-lru-cache
  Using cached backports.functools_lru_cache-1.6.1-py2.py3-none-any.whl (5.7 kB)
Requirement already satisfied, skipping upgrade: python-dateutil>=2.1 in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (2.8.1)
Collecting kiwisolver>=1.0.1
  Using cached kiwisolver-1.1.0-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl (115 kB)
Requirement already satisfied, skipping upgrade: six>=1.10 in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (1.14.0)
Requirement already satisfied, skipping upgrade: numpy>=1.7.1 in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (1.16.6)
Collecting cycler>=0.10
  Using cached cycler-0.10.0-py2.py3-none-any.whl (6.5 kB)
Requirement already satisfied, skipping upgrade: pytz in ./venv2_gpkit/lib/python2.7/site-packages (from matplotlib) (2019.3)
Collecting subprocess32
  Using cached subprocess32-3.5.4-cp27-cp27m-macosx_10_6_intel.whl (34 kB)
Collecting pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1
  Using cached pyparsing-2.4.6-py2.py3-none-any.whl (67 kB)
Requirement already satisfied, skipping upgrade: setuptools in ./venv2_gpkit/lib/python2.7/site-packages (from kiwisolver>=1.0.1->matplotlib) (44.0.0)
Installing collected packages: backports.functools-lru-cache, kiwisolver, cycler, subprocess32, pyparsing, matplotlib
Successfully installed backports.functools-lru-cache-1.6.1 cycler-0.10.0 kiwisolver-1.1.0 matplotlib-2.2.5 pyparsing-2.4.6 subprocess32-3.5.4
+++ pip_install future
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade future
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/Library/Caches/pip/wheels/8b/99/a0/81daf51dcd359a9377b110a8a886b3895921802d2fc1b2397e/future-0.18.2-cp27-none-any.whl
Installing collected packages: future
Successfully installed future-0.18.2
+++ pip_install coverage
+++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade coverage
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting coverage
  Using cached coverage-5.0.3-cp27-cp27m-macosx_10_13_intel.whl (207 kB)
Installing collected packages: coverage
Successfully installed coverage-5.0.3
++++ which coverage
+++ export COVERAGE=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/coverage
+++ COVERAGE=/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/coverage
++ pip_install numpy
++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade numpy
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already up-to-date: numpy in ./venv2_gpkit/lib/python2.7/site-packages (1.16.6)
++ pip_install scipy
++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade scipy
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting scipy
  Using cached scipy-1.2.3-cp27-cp27m-macosx_10_6_intel.macosx_10_9_intel.macosx_10_9_x86_64.macosx_10_10_intel.macosx_10_10_x86_64.whl (27.4 MB)
Requirement already satisfied, skipping upgrade: numpy>=1.8.2 in ./venv2_gpkit/lib/python2.7/site-packages (from scipy) (1.16.6)
Installing collected packages: scipy
Successfully installed scipy-1.2.3
++ pip_install pint
++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install --upgrade pint
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pint
  Using cached Pint-0.9-py2.py3-none-any.whl (138 kB)
Collecting funcsigs; python_version == "2.7"
  Using cached funcsigs-1.0.2-py2.py3-none-any.whl (17 kB)
Installing collected packages: funcsigs, pint
Successfully installed funcsigs-1.0.2 pint-0.9
++ git clone --depth 1 https://github.com/convexengineering/gpkit.git /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit
Cloning into '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit'...
++ python /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip install -v --no-cache-dir --no-deps -e /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Non-user install because user site-packages disabled
Created temporary directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-vyTJmV
Created temporary directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ
Initialized build tracking at /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ
Created build tracker: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ
Entered build tracker: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ
Created temporary directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-install-Rx7SCy
Obtaining file:///Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit
  Added file:///Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit to build tracker '/private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ'
    Running setup.py (path:/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit/setup.py) egg_info for package from file:///Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit
    Running command python setup.py egg_info
    running egg_info
    creating gpkit.egg-info
    writing requirements to gpkit.egg-info/requires.txt
    writing gpkit.egg-info/PKG-INFO
    writing top-level names to gpkit.egg-info/top_level.txt
    writing dependency_links to gpkit.egg-info/dependency_links.txt
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    reading manifest file 'gpkit.egg-info/SOURCES.txt'
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
  Source in ./gpkit has version 0.9.1.0, which satisfies requirement gpkit==0.9.1.0 from file:///Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit
  Removed gpkit==0.9.1.0 from file:///Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit from build tracker '/private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ'
Installing collected packages: gpkit
  Running setup.py develop for gpkit
    Running command /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit/setup.py'"'"'; __file__='"'"'/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' develop --no-deps
    running develop
    running egg_info
    writing requirements to gpkit.egg-info/requires.txt
    writing gpkit.egg-info/PKG-INFO
    writing top-level names to gpkit.egg-info/top_level.txt
    writing dependency_links to gpkit.egg-info/dependency_links.txt
    reading manifest file 'gpkit.egg-info/SOURCES.txt'
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    running build_ext
    Creating /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/gpkit.egg-link (link to .)
    Adding gpkit 0.9.1.0 to easy-install.pth file

    Installed /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit
Successfully installed gpkit
Cleaning up...
Removed build tracker: '/private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-tracker-iEbkZQ'
1 location(s) to search for versions of pip:
* https://pypi.org/simple/pip/
Fetching project page and analyzing links: https://pypi.org/simple/pip/
Getting page https://pypi.org/simple/pip/
Found index url https://pypi.org/simple
Starting new HTTPS connection (1): pypi.org:443
https://pypi.org:443 "GET /simple/pip/ HTTP/1.1" 200 12868
  Found link https://files.pythonhosted.org/packages/3d/9d/1e313763bdfb6a48977b65829c6ce2a43eaae29ea2f907c8bbef024a7219/pip-0.2.tar.gz#sha256=88bb8d029e1bf4acd0e04d300104b7440086f94cc1ce1c5c3c31e3293aee1f81 (from https://pypi.org/simple/pip/), version: 0.2
  Found link https://files.pythonhosted.org/packages/18/ad/c0fe6cdfe1643a19ef027c7168572dac6283b80a384ddf21b75b921877da/pip-0.2.1.tar.gz#sha256=83522005c1266cc2de97e65072ff7554ac0f30ad369c3b02ff3a764b962048da (from https://pypi.org/simple/pip/), version: 0.2.1
  Found link https://files.pythonhosted.org/packages/17/05/f66144ef69b436d07f8eeeb28b7f77137f80de4bf60349ec6f0f9509e801/pip-0.3.tar.gz#sha256=183c72455cb7f8860ac1376f8c4f14d7f545aeab8ee7c22cd4caf79f35a2ed47 (from https://pypi.org/simple/pip/), version: 0.3
  Found link https://files.pythonhosted.org/packages/0a/bb/d087c9a1415f8726e683791c0b2943c53f2b76e69f527f2e2b2e9f9e7b5c/pip-0.3.1.tar.gz#sha256=34ce534f17065c78f980702928e988a6b6b2d8a9851aae5f1571a1feb9bb58d8 (from https://pypi.org/simple/pip/), version: 0.3.1
  Found link https://files.pythonhosted.org/packages/cf/c3/153571aaac6cf999f4bb09c019b1ff379b7b599ea833813a41c784eec995/pip-0.4.tar.gz#sha256=28fc67558874f71fddda7168f73595f1650523dce3bc5bf189713ecdfc1e456e (from https://pypi.org/simple/pip/), version: 0.4
  Found link https://files.pythonhosted.org/packages/8d/c7/f05c87812fa5d9562ecbc5f4f1fc1570444f53c81c834a7f662af406e3c1/pip-0.5.tar.gz#sha256=328d8412782f22568508a0d0c78a49c9920a82e44c8dfca49954fe525c152b2a (from https://pypi.org/simple/pip/), version: 0.5
  Found link https://files.pythonhosted.org/packages/9a/aa/f536b6d14fe03343367da2ff44eee28f340ae650cd017ca088b6be13084a/pip-0.5.1.tar.gz#sha256=e27650538c41fe1007a41abd4cfd0f905b822622cbe1f8e7e09d1215af207694 (from https://pypi.org/simple/pip/), version: 0.5.1
  Found link https://files.pythonhosted.org/packages/db/e6/fdf7be8a17b032c533d3f91e91e2c63dd81d3627cbe4113248a00c2d39d8/pip-0.6.tar.gz#sha256=4cf47db6815b2f435d1f44e1f35ff04823043f6161f7df9aec71a123b0c47f0d (from https://pypi.org/simple/pip/), version: 0.6
  Found link https://files.pythonhosted.org/packages/91/cd/105f4d3c75d0ae18e12623acc96f42168aaba408dd6e43c4505aa21f8e37/pip-0.6.1.tar.gz#sha256=efe47e84ffeb0ea4804f9858b8a94bebd07f5452f907ebed36d03aed06a9f9ec (from https://pypi.org/simple/pip/), version: 0.6.1
  Found link https://files.pythonhosted.org/packages/1c/c7/c0e1a9413c37828faf290f29a85a4d6034c145cc04bf1622ba8beb662ad8/pip-0.6.2.tar.gz#sha256=1c1a504d7e70d2c24246f95bd16e3d5fcec740fd144df69a407bf65a2ee67586 (from https://pypi.org/simple/pip/), version: 0.6.2
  Found link https://files.pythonhosted.org/packages/3f/af/c4b9d49fb0f286996b28dbc0955c3ad359794697eb98e0e69863908070b0/pip-0.6.3.tar.gz#sha256=1a6df71eb29b98cba11bde6d6a0d8c6dd8b0518e74ceb71fb31ea4fbb42fd313 (from https://pypi.org/simple/pip/), version: 0.6.3
  Found link https://files.pythonhosted.org/packages/ec/7a/6fe91ff0079ad0437830957c459d52f3923e516f5b453218f2a93d09a427/pip-0.7.tar.gz#sha256=ceaea0b9e494d893c8a191895301b79c1db33e41f14d3ad93e3d28a8b4e9bf27 (from https://pypi.org/simple/pip/), version: 0.7
  Found link https://files.pythonhosted.org/packages/a5/63/11303863c2f5e9d9a15d89fcf7513a4b60987007d418862e0fb65c09fff7/pip-0.7.1.tar.gz#sha256=f54f05aa17edd0036de433c44892c8fedb1fd2871c97829838feb995818d24c3 (from https://pypi.org/simple/pip/), version: 0.7.1
  Found link https://files.pythonhosted.org/packages/cd/a9/1debaa96bbc1005c1c8ad3b79fec58c198d35121546ea2e858ce0894268a/pip-0.7.2.tar.gz#sha256=98df2eb779358412bbbae75980171ae85deebc846d87e244d086520b1212da09 (from https://pypi.org/simple/pip/), version: 0.7.2
  Found link https://files.pythonhosted.org/packages/74/54/f785c327fb3d163560a879b36edae5c78ee07806be282c9d4807f6be7dd1/pip-0.8.tar.gz#sha256=9017e4484a212dd4e1a43dd9f039dd7fc8338d4eea1c339d5ae1c80726de5b0f (from https://pypi.org/simple/pip/), version: 0.8
  Found link https://files.pythonhosted.org/packages/5c/79/5e8381cc3078bae92166f2ba96de8355e8c181926505ba8882f7b099a500/pip-0.8.1.tar.gz#sha256=7176a87f35675f6468341212f3b959bb51d23ea66eb1c3692bf746c45c716fa2 (from https://pypi.org/simple/pip/), version: 0.8.1
  Found link https://files.pythonhosted.org/packages/17/3e/0a98ab032991518741e7e712a719633e6ae160f51b3d3e855194530fd308/pip-0.8.2.tar.gz#sha256=f80a3549c048bc3bbcb47844826e9c7c6fcd87e77b92bef0d9e66d1b397c4962 (from https://pypi.org/simple/pip/), version: 0.8.2
  Found link https://files.pythonhosted.org/packages/f7/9a/943fc6d879ed7220bac2e7e53096bfe78abec88d77f2f516400e0129679e/pip-0.8.3.tar.gz#sha256=1be2e18edd38aa75b5e4ef38a99ec33ba9247177cfcb4a6d2d2b3e73430e3001 (from https://pypi.org/simple/pip/), version: 0.8.3
  Found link https://files.pythonhosted.org/packages/24/33/6eb675fb6db7b71d69d6928b33dea61b8bf5cfe1e5649be70ec84ce2fc09/pip-1.0.tar.gz#sha256=34ba07e2d14ba86d5088ba896ac80bed845a9b276ab8acb279b8d99bc77fec8e (from https://pypi.org/simple/pip/), version: 1.0
  Found link https://files.pythonhosted.org/packages/10/d9/f584e6107ef98ad7eaaaa5d0f756bfee12561fa6a4712ffdb7209e0e1fd4/pip-1.0.1.tar.gz#sha256=37d2f18213d3845d2038dd3686bc71fc12bb41ad66c945a8b0dfec2879f3497b (from https://pypi.org/simple/pip/), version: 1.0.1
  Found link https://files.pythonhosted.org/packages/16/90/5e6f80364d8a656f60681dfb7330298edef292d43e1499bcb3a4c71ff0b9/pip-1.0.2.tar.gz#sha256=a6ed9b36aac2f121c01a2c9e0307a9e4d9438d100a407db701ac65479a3335d2 (from https://pypi.org/simple/pip/), version: 1.0.2
  Found link https://files.pythonhosted.org/packages/25/57/0d42cf5307d79913a082c5c4397d46f3793bc35e1138a694136d6e31be99/pip-1.1.tar.gz#sha256=993804bb947d18508acee02141281c77d27677f8c14eaa64d6287a1c53ef01c8 (from https://pypi.org/simple/pip/), version: 1.1
  Found link https://files.pythonhosted.org/packages/ba/c3/4e1f892f41aaa217fe0d1f827fa05928783349c69f3cc06fdd68e112678a/pip-1.2.tar.gz#sha256=2b168f1987403f1dc6996a1f22a6f6637b751b7ab6ff27e78380b8d6e70aa314 (from https://pypi.org/simple/pip/), version: 1.2
  Found link https://files.pythonhosted.org/packages/c3/a2/a63244da32afd9ce9a8ca1bd86e71610039adea8b8314046ebe5047527a6/pip-1.2.1.tar.gz#sha256=12a9302acfca62cdc7bc5d83386cac3e0581db61ac39acdb3a4e766a16b88eb1 (from https://pypi.org/simple/pip/), version: 1.2.1
  Found link https://files.pythonhosted.org/packages/00/45/69d4f2602b80550bfb26cfd2f62c2f05b3b5c7352705d3766cd1e5b27648/pip-1.3.tar.gz#sha256=d6a13c5be316cb21a0243047c7f163f47e88973ebccff8d32e63ca1bf4d9321c (from https://pypi.org/simple/pip/), version: 1.3
  Found link https://files.pythonhosted.org/packages/5b/ce/f5b98104f1c10d868936c25f7c597f492d4371aa9ad5fb61a94954ee7208/pip-1.3.1.tar.gz#sha256=145eaa5d1ea1b062663da1f3a97780d7edea4c63c68a37c463b1deedf7bb4957 (from https://pypi.org/simple/pip/), version: 1.3.1
  Found link https://files.pythonhosted.org/packages/5f/d0/3b3958f6a58783bae44158b2c4c7827ae89abaecdd4bed12cff402620b9a/pip-1.4.tar.gz#sha256=1fd43cbf07d95ddcecbb795c97a1674b3ddb711bb4a67661284a5aa765aa1b97 (from https://pypi.org/simple/pip/), version: 1.4
  Found link https://files.pythonhosted.org/packages/3f/f8/da390e0df72fb61d176b25a4b95262e3dcc14bda0ad25ac64d56db38b667/pip-1.4.1.tar.gz#sha256=4e7a06554711a624c35d0c646f63674b7f6bfc7f80221bf1eb1f631bd890d04e (from https://pypi.org/simple/pip/), version: 1.4.1
  Found link https://files.pythonhosted.org/packages/4f/7d/e53bc80667378125a9e07d4929a61b0bd7128a1129dbe6f07bb3228652a3/pip-1.5.tar.gz#sha256=25f81d1a0e55d3b1709818dd57fdfb954b028f229f09bd69cb0bc80a8e03e048 (from https://pypi.org/simple/pip/), version: 1.5
  Found link https://files.pythonhosted.org/packages/44/5d/1dca53b5de6d287e7eb99bd174bb022eb6cb0d6ca6e19ca6b16655dde8c2/pip-1.5.1-py2.py3-none-any.whl#sha256=00960db3b0b8724dd37fe37cfb9c72ecb8f59fab9db7d17c5c1e89a1adab49ce (from https://pypi.org/simple/pip/), version: 1.5.1
  Found link https://files.pythonhosted.org/packages/21/3f/d86a600c9b2f41a75caacf768a24130f343def97652de2345da15ef7911f/pip-1.5.1.tar.gz#sha256=e60e936fbc101d56668c6134c1f2b5b40fcbec8b4fc4ca7fc34842b6b4c5c130 (from https://pypi.org/simple/pip/), version: 1.5.1
  Found link https://files.pythonhosted.org/packages/3d/1f/227d77d5e9ed2df5162de4ba3616799a351eccb1ecd668ae824dd26153a1/pip-1.5.2-py2.py3-none-any.whl#sha256=6903909ccdcdbc3297b74118590e71344d6d262827acd1f5c0e2fcfce9807499 (from https://pypi.org/simple/pip/), version: 1.5.2
  Found link https://files.pythonhosted.org/packages/ed/94/391a003107f6ec997c314199d03bff1c105af758ee490e3255353574487b/pip-1.5.2.tar.gz#sha256=2a8a3e08e652d3a40edbb39264bf01f8ff3c32520a79113357cca1f30533f738 (from https://pypi.org/simple/pip/), version: 1.5.2
  Found link https://files.pythonhosted.org/packages/df/e9/bdb53d44fad1465b43edaf6bc7dd3027ed5af81405cc97603fdff0721ebb/pip-1.5.3-py2.py3-none-any.whl#sha256=f0037aed3ce6cf96b9e9117d42e967a74bea9ebe19088a2fdea5de93d5762fee (from https://pypi.org/simple/pip/), version: 1.5.3
  Found link https://files.pythonhosted.org/packages/55/de/671a48ad313c808623041fc475f7c8f7610401d9f573f06b40eeb84e74e3/pip-1.5.3.tar.gz#sha256=dc53b4d28b88556a37cd73052b6d1d08cc644c6724e37c4d38a2e3c03c5440b2 (from https://pypi.org/simple/pip/), version: 1.5.3
  Found link https://files.pythonhosted.org/packages/a9/9a/9aa19fe00de4c025562e5fb3796ff8520165a7dd1a5662c6ec9816e1ae99/pip-1.5.4-py2.py3-none-any.whl#sha256=fb7282556a42e84464f2e963a859ac4012d8134ba6218b70c1d82d145fcfa82f (from https://pypi.org/simple/pip/), version: 1.5.4
  Found link https://files.pythonhosted.org/packages/78/d8/6e58a7130d457edadb753a0ea5708e411c100c7e94e72ad4802feeef735c/pip-1.5.4.tar.gz#sha256=70208a250bb4afdbbdd74c3ac35d4ab9ba1eb6852d02567a6a87f2f5104e30b9 (from https://pypi.org/simple/pip/), version: 1.5.4
  Found link https://files.pythonhosted.org/packages/ce/c2/10d996b9c51b126a9f0bb9e14a9edcdd5c88888323c0685bb9b392b6c47c/pip-1.5.5-py2.py3-none-any.whl#sha256=fe7a5808190067b2598d85def9b83db46e5d64a00848ad843e107c36e1db4ae6 (from https://pypi.org/simple/pip/), version: 1.5.5
  Found link https://files.pythonhosted.org/packages/88/01/a442fde40bd9aaf837612536f16ab751fac628807fd718690795b8ade77d/pip-1.5.5.tar.gz#sha256=4b7f5124364ae9b5ba833dcd8813a84c1c06fba1d7c8543323c7af4b33188eca (from https://pypi.org/simple/pip/), version: 1.5.5
  Found link https://files.pythonhosted.org/packages/3f/08/7347ca4021e7fe0f1ab8f93cbc7d2a7a7350012300ad0e0227d55625e2b8/pip-1.5.6-py2.py3-none-any.whl#sha256=fbc1351ffedf09ca7560428758845a88d648b9730b63ce9e5df53a7c89f039a4 (from https://pypi.org/simple/pip/), version: 1.5.6
  Found link https://files.pythonhosted.org/packages/45/db/4fb9a456b4ec4d3b701456ef562b9d72d76b6358e0c1463d17db18c5b772/pip-1.5.6.tar.gz#sha256=b1a4ae66baf21b7eb05a5e4f37c50c2706fa28ea1f8780ce8efe14dcd9f1726c (from https://pypi.org/simple/pip/), version: 1.5.6
  Found link https://files.pythonhosted.org/packages/dc/7c/21191b5944b917b66e4e4e06d74f668d814b6e8a3ff7acd874479b6f6b3d/pip-6.0-py2.py3-none-any.whl#sha256=5ec6732505bd8be49fe1f8ad557b88253ffb085736396df4d6bea753fc2a8f2c (from https://pypi.org/simple/pip/), version: 6.0
  Found link https://files.pythonhosted.org/packages/38/fd/065c66a88398f240e344fdf496b9707f92d75f88eedc3d10ff847b28a657/pip-6.0.tar.gz#sha256=6103897f1bb68d3f933edd60f3e3830c4ea6b8abf7a4b500db148921b11f6c9b (from https://pypi.org/simple/pip/), version: 6.0
  Found link https://files.pythonhosted.org/packages/e9/7a/cdbc1a12ed52410d557e48d4646f4543e9e991ff32d2374dc6db849aa617/pip-6.0.1-py2.py3-none-any.whl#sha256=322aea7d1f7b9ee68ad87ac4704cad5df97f77e70668c0bd18f964c5daa78173 (from https://pypi.org/simple/pip/), version: 6.0.1
  Found link https://files.pythonhosted.org/packages/4d/c3/8675b90cd89b9b222062f4f6c7e9d48b0387f5b35cbf747a74403a883e56/pip-6.0.1.tar.gz#sha256=fa2f7c68da4a405d673aa38542f9df009d60026db4f532429ac9cbfbda1f959d (from https://pypi.org/simple/pip/), version: 6.0.1
  Found link https://files.pythonhosted.org/packages/71/3c/b5a521e5e99cfff091e282231591f21193fd80de079ec5fb8ed9c6614044/pip-6.0.2-py2.py3-none-any.whl#sha256=7d17b0f267f7c9cd17cd2924bbbe2b4a3d407322c0e09084ca3f1295c1fed50d (from https://pypi.org/simple/pip/), version: 6.0.2
  Found link https://files.pythonhosted.org/packages/4c/5a/f9e8e3de0153282c7cb54a9b991af225536ac914bac858ca664cf883bb3e/pip-6.0.2.tar.gz#sha256=6fa90667706a679e3dc75b27a51fddafa64401c45e96f8ae6c20978183290077 (from https://pypi.org/simple/pip/), version: 6.0.2
  Found link https://files.pythonhosted.org/packages/73/cb/3eebf42003791df29219a3dfa1874572aa16114b44c9b1b0ac66bf96e8c0/pip-6.0.3-py2.py3-none-any.whl#sha256=b72655b6ac6aef1c86dd07f51e8ace8d7aabd6a1c4ff88db87155276fa32a073 (from https://pypi.org/simple/pip/), version: 6.0.3
  Found link https://files.pythonhosted.org/packages/ce/63/8d99ae60d11ae1a65f5d4fc39a529a598bd3b8e067132210cb0c4d9e9f74/pip-6.0.3.tar.gz#sha256=b091a35f5fa0faffac0b27b97e1e1e93ffe63b463c2ea8dbde0c1fb987933614 (from https://pypi.org/simple/pip/), version: 6.0.3
  Found link https://files.pythonhosted.org/packages/c5/0e/c974206726542bc495fc7443dd97834a6d14c2f0cba183fcfcd01075225a/pip-6.0.4-py2.py3-none-any.whl#sha256=8dfd95de29a7a3bb1e7d368cc83d566938eb210b04d553ebfe5e3a422f4aec65 (from https://pypi.org/simple/pip/), version: 6.0.4
  Found link https://files.pythonhosted.org/packages/02/a1/c90f19910ee153d7a0efca7216758121118d7e93084276541383fe9ca82e/pip-6.0.4.tar.gz#sha256=1dbbff9c369e510c7468ab68ba52c003f68f83c99c2f8259acd51099e8799f1e (from https://pypi.org/simple/pip/), version: 6.0.4
  Found link https://files.pythonhosted.org/packages/e9/1b/c6a375a337fb576784cdea3700f6c3eaf1420f0a01458e6e034cc178a84a/pip-6.0.5-py2.py3-none-any.whl#sha256=b2c20e3a2a43b2bbb1d19ad98be27eccc7b0f0ece016da602ccaa757a862b0e2 (from https://pypi.org/simple/pip/), version: 6.0.5
  Found link https://files.pythonhosted.org/packages/19/f2/58628768f618c8c9fea878e0fb97730c0b8a838d3ab3f325768bf12dac94/pip-6.0.5.tar.gz#sha256=3bf42d28be9085ab2e9aecfd69a6da2d31563fe833304bf71a620a30c38ab8a2 (from https://pypi.org/simple/pip/), version: 6.0.5
  Found link https://files.pythonhosted.org/packages/64/fc/4a49ccb18f55a0ceeb76e8d554bd4563217117492997825d194ed0017cc1/pip-6.0.6-py2.py3-none-any.whl#sha256=fb04f8afe1ba57626783f0c8e2f3d46bbaebaa446fcf124f434e968a2fee595e (from https://pypi.org/simple/pip/), version: 6.0.6
  Found link https://files.pythonhosted.org/packages/f6/ce/d9e4e178b66c766c117f62ddf4fece019ef9d50127a8926d2f60300d615e/pip-6.0.6.tar.gz#sha256=3a14091299dcdb9bab9e9004ae67ac401f2b1b14a7c98de074ca74fdddf4bfa0 (from https://pypi.org/simple/pip/), version: 6.0.6
  Found link https://files.pythonhosted.org/packages/7a/8e/2bbd4fcf3ee06ee90ded5f39ec12f53165dfdb9ef25a981717ad38a16670/pip-6.0.7-py2.py3-none-any.whl#sha256=93a326304c7db749896bcef822bbbac1ab29dad5651c6d732e245975239890e6 (from https://pypi.org/simple/pip/), version: 6.0.7
  Found link https://files.pythonhosted.org/packages/52/85/b160ebdaa84378df6bb0176d4eed9f57edca662446174eead7a9e2e566d6/pip-6.0.7.tar.gz#sha256=35a5a43ac6b7af83ed47ea5731a365f43d350a3a7267e039e5f06b61d42ab3c2 (from https://pypi.org/simple/pip/), version: 6.0.7
  Found link https://files.pythonhosted.org/packages/63/65/55b71647adec1ad595bf0e5d76d028506dfc002df30c256f022ff7a660a5/pip-6.0.8-py2.py3-none-any.whl#sha256=3c22b0a8ff92727bd737a82f72700790591f177541df08c07bc1f90d6b72ac19 (from https://pypi.org/simple/pip/), version: 6.0.8
  Found link https://files.pythonhosted.org/packages/ef/8a/e3a980bc0a7f791d72c1302f65763ed300f2e14c907ac033e01b44c79e5e/pip-6.0.8.tar.gz#sha256=0d58487a1b7f5be2e5e965c11afbea1dc44ecec8069de03491a4d0d6c85f4551 (from https://pypi.org/simple/pip/), version: 6.0.8
  Found link https://files.pythonhosted.org/packages/24/fb/8a56a46243514681e569bbafd8146fa383476c4b7c725c8598c452366f31/pip-6.1.0-py2.py3-none-any.whl#sha256=435a018f6d29e34d4f901bf4e6860d8a5fa1816b68d62008c18ca062a306db31 (from https://pypi.org/simple/pip/), version: 6.1.0
  Found link https://files.pythonhosted.org/packages/6c/84/432eb60bbcb414b9cdfcb135d5f4925e253c74e7d6916ada79990d6cc1a0/pip-6.1.0.tar.gz#sha256=89f120e2ab3d25ab70c36eb28ad4f280fc9ba71736e74d3055f609c1f9173768 (from https://pypi.org/simple/pip/), version: 6.1.0
  Found link https://files.pythonhosted.org/packages/67/f0/ba0fb41dbdbfc4aa3e0c16b40269aca6b9e3d59cacdb646218aa2e9b1d2c/pip-6.1.1-py2.py3-none-any.whl#sha256=a67e54aa0f26b6d62ccec5cc6735eff205dd0fed075f56ac3d3111e91e4467fc (from https://pypi.org/simple/pip/), version: 6.1.1
  Found link https://files.pythonhosted.org/packages/bf/85/871c126b50b8ee0b9819e8a63b614aedd264577e73478caedcd447e8f28c/pip-6.1.1.tar.gz#sha256=89f3b626d225e08e7f20d85044afa40f612eb3284484169813dc2d0631f2a556 (from https://pypi.org/simple/pip/), version: 6.1.1
  Found link https://files.pythonhosted.org/packages/5a/9b/56d3c18d0784d5f2bbd446ea2dc7ffa7476c35e3dc223741d20cfee3b185/pip-7.0.0-py2.py3-none-any.whl#sha256=309c48399c7d68501a10ef206abd6e5c541fedbf84b95435d9063bd454b39df7 (from https://pypi.org/simple/pip/), version: 7.0.0
  Found link https://files.pythonhosted.org/packages/c6/16/6475b142927ca5d03e3b7968efa5b0edd103e4684ecfde181a25f6fa2505/pip-7.0.0.tar.gz#sha256=7b46bfc1b95494731de306a688e2a7bc056d7fa7ad27e026908fb2ae67fed23d (from https://pypi.org/simple/pip/), version: 7.0.0
  Found link https://files.pythonhosted.org/packages/5a/10/bb7a32c335bceba636aa673a4c977effa1e73a79f88856459486d8d670cf/pip-7.0.1-py2.py3-none-any.whl#sha256=d26b8573ba1ac1ec99a9bdbdffee2ff2b06c7790815211d0eb4dc1462a089705 (from https://pypi.org/simple/pip/), version: 7.0.1
  Found link https://files.pythonhosted.org/packages/4a/83/9ae4362a80739657e0c8bb628ea3fa0214a9aba7c8590dacc301ea293f73/pip-7.0.1.tar.gz#sha256=cfec177552fdd0b2d12b72651c8e874f955b4c62c1c2c9f2588cbdc1c0d0d416 (from https://pypi.org/simple/pip/), version: 7.0.1
  Found link https://files.pythonhosted.org/packages/64/7f/7107800ae0919a80afbf1ecba21b90890431c3ee79d700adac3c79cb6497/pip-7.0.2-py2.py3-none-any.whl#sha256=83c869c5ab7113866e2d69641ec470d47f0faae68ca4550a289a4d3db515ad65 (from https://pypi.org/simple/pip/), version: 7.0.2
  Found link https://files.pythonhosted.org/packages/75/b1/66532c273bca0133e42c3b4540a1609289f16e3046f1830f18c60794d661/pip-7.0.2.tar.gz#sha256=ba28fa60b573a9444e7b78ccb3b0f261d1f66f46d20403f9dce37b18a6aed405 (from https://pypi.org/simple/pip/), version: 7.0.2
  Found link https://files.pythonhosted.org/packages/96/76/33a598ae42dd0554207d83c7acc60e3b166dbde723cbf282f1f73b7a127c/pip-7.0.3-py2.py3-none-any.whl#sha256=7b1cb03e827d58d2d05e68ea96a9e27487ed4b0afcd951ac6e40847ce94f0738 (from https://pypi.org/simple/pip/), version: 7.0.3
  Found link https://files.pythonhosted.org/packages/35/59/5b23115758ba0f2fc465c459611865173ef006202ba83f662d1f58ed2fb8/pip-7.0.3.tar.gz#sha256=b4c598825a6f6dc2cac65968feb28e6be6c1f7f1408493c60a07eaa731a0affd (from https://pypi.org/simple/pip/), version: 7.0.3
  Found link https://files.pythonhosted.org/packages/f7/c0/9f8dac88326609b4b12b304e8382f64f7d5af7735a00d2fac36cf135fc30/pip-7.1.0-py2.py3-none-any.whl#sha256=80c29f899d3a00a448d65f8158544d22935baec7159af8da1a4fa1490ced481d (from https://pypi.org/simple/pip/), version: 7.1.0
  Found link https://files.pythonhosted.org/packages/7e/71/3c6ece07a9a885650aa6607b0ebfdf6fc9a3ef8691c44b5e724e4eee7bf2/pip-7.1.0.tar.gz#sha256=d5275ba3221182a5dd1b6bcfbfc5ec277fb399dd23226d6fa018048f7e0f10f2 (from https://pypi.org/simple/pip/), version: 7.1.0
  Found link https://files.pythonhosted.org/packages/1c/56/094d563c508917081bccff365e4f621ba33073c1c13aca9267a43cfcaf13/pip-7.1.1-py2.py3-none-any.whl#sha256=ce13000878d34c1178af76cb8cf269e232c00508c78ed46c165dd5b0881615f4 (from https://pypi.org/simple/pip/), version: 7.1.1
  Found link https://files.pythonhosted.org/packages/3b/bb/b3f2a95494fd3f01d3b3ae530e7c0e910dc25e88e30787b0a5e10cbc0640/pip-7.1.1.tar.gz#sha256=b22fe3c93a13fc7c04f145a42fd2ad50a9e3e1b8a7eed2e2b1c66e540a0951da (from https://pypi.org/simple/pip/), version: 7.1.1
  Found link https://files.pythonhosted.org/packages/b2/d0/cd115fe345dd6f07ec1c780020a7dfe74966fceeb171e0f20d1d4905b0b7/pip-7.1.2-py2.py3-none-any.whl#sha256=b9d3983b5cce04f842175e30169d2f869ef12c3546fd274083a65eada4e9708c (from https://pypi.org/simple/pip/), version: 7.1.2
  Found link https://files.pythonhosted.org/packages/d0/92/1e8406c15d9372084a5bf79d96da3a0acc4e7fcf0b80020a4820897d2a5c/pip-7.1.2.tar.gz#sha256=ca047986f0528cfa975a14fb9f7f106271d4e0c3fe1ddced6c1db2e7ae57a477 (from https://pypi.org/simple/pip/), version: 7.1.2
  Found link https://files.pythonhosted.org/packages/00/ae/bddef02881ee09c6a01a0d6541aa6c75a226a4e68b041be93142befa0cd6/pip-8.0.0-py2.py3-none-any.whl#sha256=262ed1823eb7fbe3f18a9bedb4800e59c4ab9a6682aff8c37b5ee83ea840910b (from https://pypi.org/simple/pip/), version: 8.0.0
  Found link https://files.pythonhosted.org/packages/e3/2d/03c014d11e66628abf2fda5ca00f779cbe7b5292c5cd13d42a95b94aa9b8/pip-8.0.0.tar.gz#sha256=90112b296152f270cb8dddcd19b7b87488d9e002e8cf622e14c4da9c2f6319b1 (from https://pypi.org/simple/pip/), version: 8.0.0
  Found link https://files.pythonhosted.org/packages/45/9c/6f9a24917c860873e2ce7bd95b8f79897524353df51d5d920cd6b6c1ec33/pip-8.0.1-py2.py3-none-any.whl#sha256=dedaac846bc74e38a3253671f51a056331ffca1da70e3f48d8128f2aa0635bba (from https://pypi.org/simple/pip/), version: 8.0.1
  Found link https://files.pythonhosted.org/packages/ea/66/a3d6187bd307159fedf8575c0d9ee2294d13b1cdd11673ca812e6a2dda8f/pip-8.0.1.tar.gz#sha256=477c50b3e538a7ac0fa611fb8b877b04b33fb70d325b12a81b9dbf3eb1158a4d (from https://pypi.org/simple/pip/), version: 8.0.1
  Found link https://files.pythonhosted.org/packages/e7/a0/bd35f5f978a5e925953ce02fa0f078a232f0f10fcbe543d8cfc043f74fda/pip-8.0.2-py2.py3-none-any.whl#sha256=249a6f3194be8c2e8cb4d4be3f6fd16a9f1e3336218caffa8e7419e3816f9988 (from https://pypi.org/simple/pip/), version: 8.0.2
  Found link https://files.pythonhosted.org/packages/ce/15/ee1f9a84365423e9ef03d0f9ed0eba2fb00ac1fffdd33e7b52aea914d0f8/pip-8.0.2.tar.gz#sha256=46f4bd0d8dfd51125a554568d646fe4200a3c2c6c36b9f2d06d2212148439521 (from https://pypi.org/simple/pip/), version: 8.0.2
  Found link https://files.pythonhosted.org/packages/ae/d4/2b127310f5364610b74c28e2e6a40bc19e2d3c9a9a4e012d3e333e767c99/pip-8.0.3-py2.py3-none-any.whl#sha256=b0335bc837f9edb5aad03bd43d0973b084a1cbe616f8188dc23ba13234dbd552 (from https://pypi.org/simple/pip/), version: 8.0.3
  Found link https://files.pythonhosted.org/packages/22/f3/14bc87a4f6b5ec70b682765978a6f3105bf05b6781fa97e04d30138bd264/pip-8.0.3.tar.gz#sha256=30f98b66f3fe1069c529a491597d34a1c224a68640c82caf2ade5f88aa1405e8 (from https://pypi.org/simple/pip/), version: 8.0.3
  Found link https://files.pythonhosted.org/packages/1e/c7/78440b3fb882ed001e6e12d8770bd45e73d6eced4e57f7c072b829ce8a3d/pip-8.1.0-py2.py3-none-any.whl#sha256=a542b99e08002ead83200198e19a3983270357e1cb4fe704247990b5b35471dc (from https://pypi.org/simple/pip/), version: 8.1.0
  Found link https://files.pythonhosted.org/packages/3c/72/6981d5adf880adecb066a1a1a4c312a17f8d787a3b85446967964ac66d55/pip-8.1.0.tar.gz#sha256=d8faa75dd7d0737b16d50cd0a56dc91a631c79ecfd8d38b80f6ee929ec82043e (from https://pypi.org/simple/pip/), version: 8.1.0
  Found link https://files.pythonhosted.org/packages/31/6a/0f19a7edef6c8e5065f4346137cc2a08e22e141942d66af2e1e72d851462/pip-8.1.1-py2.py3-none-any.whl#sha256=44b9c342782ab905c042c207d995aa069edc02621ddbdc2b9f25954a0fdac25c (from https://pypi.org/simple/pip/), version: 8.1.1
  Found link https://files.pythonhosted.org/packages/41/27/9a8d24e1b55bd8c85e4d022da2922cb206f183e2d18fee4e320c9547e751/pip-8.1.1.tar.gz#sha256=3e78d3066aaeb633d185a57afdccf700aa2e660436b4af618bcb6ff0fa511798 (from https://pypi.org/simple/pip/), version: 8.1.1
  Found link https://files.pythonhosted.org/packages/9c/32/004ce0852e0a127f07f358b715015763273799bd798956fa930814b60f39/pip-8.1.2-py2.py3-none-any.whl#sha256=6464dd9809fb34fc8df2bf49553bb11dac4c13d2ffa7a4f8038ad86a4ccb92a1 (from https://pypi.org/simple/pip/), version: 8.1.2
  Found link https://files.pythonhosted.org/packages/e7/a8/7556133689add8d1a54c0b14aeff0acb03c64707ce100ecd53934da1aa13/pip-8.1.2.tar.gz#sha256=4d24b03ffa67638a3fa931c09fd9e0273ffa904e95ebebe7d4b1a54c93d7b732 (from https://pypi.org/simple/pip/), version: 8.1.2
  Found link https://files.pythonhosted.org/packages/3f/ef/935d9296acc4f48d1791ee56a73781271dce9712b059b475d3f5fa78487b/pip-9.0.0-py2.py3-none-any.whl#sha256=c856ac18ca01e7127456f831926dc67cc7d3ab663f4c13b1ec156e36db4de574 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.0
  Found link https://files.pythonhosted.org/packages/5e/53/eaef47e5e2f75677c9de0737acc84b659b78a71c4086f424f55346a341b5/pip-9.0.0.tar.gz#sha256=f62fb70e7e000e46fce12aaeca752e5281a5446977fe5a75ab4189a43b3f8793 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.0
  Found link https://files.pythonhosted.org/packages/b6/ac/7015eb97dc749283ffdec1c3a88ddb8ae03b8fad0f0e611408f196358da3/pip-9.0.1-py2.py3-none-any.whl#sha256=690b762c0a8460c303c089d5d0be034fb15a5ea2b75bdf565f40421f542fefb0 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.1
  Found link https://files.pythonhosted.org/packages/11/b6/abcb525026a4be042b486df43905d6893fb04f05aac21c32c638e939e447/pip-9.0.1.tar.gz#sha256=09f243e1a7b461f654c26a725fa373211bb7ff17a9300058b205c61658ca940d (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.1
  Found link https://files.pythonhosted.org/packages/e7/f9/e801dcea22886cd513f6bd2e8f7e581bd6f67bb8e8f1cd8e7b92d8539280/pip-9.0.2-py2.py3-none-any.whl#sha256=b135491ddb061f39719b8472d8abb59c613816a2b86069c332db74d1cd208ab2 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.2
  Found link https://files.pythonhosted.org/packages/e5/8f/3fc66461992dc9e9fcf5e005687d5f676729172dda640df2fd8b597a6da7/pip-9.0.2.tar.gz#sha256=88110a224e9d30e5d76592a0b2130ef10e7e67a6426e8617bb918fffbfe91fe5 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.2
  Found link https://files.pythonhosted.org/packages/ac/95/a05b56bb975efa78d3557efa36acaf9cf5d2fd0ee0062060493687432e03/pip-9.0.3-py2.py3-none-any.whl#sha256=c3ede34530e0e0b2381e7363aded78e0c33291654937e7373032fda04e8803e5 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.3
  Found link https://files.pythonhosted.org/packages/c4/44/e6b8056b6c8f2bfd1445cc9990f478930d8e3459e9dbf5b8e2d2922d64d3/pip-9.0.3.tar.gz#sha256=7bf48f9a693be1d58f49f7af7e0ae9fe29fd671cde8a55e6edca3581c4ef5796 (from https://pypi.org/simple/pip/) (requires-python:>=2.6,!=3.0.*,!=3.1.*,!=3.2.*), version: 9.0.3
  Found link https://files.pythonhosted.org/packages/4b/5a/8544ae02a5bd28464e03af045e8aabde20a7b02db1911a9159328e1eb25a/pip-10.0.0b1-py2.py3-none-any.whl#sha256=dbd5d24cd461be23429625085a36cc8732cbcac4d2aaf673031f80f6ac07d844 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.0b1
  Found link https://files.pythonhosted.org/packages/aa/6d/ffbb86abf18b750fb26f27eda7c7732df2aacaa669c420d2eb2ad6df3458/pip-10.0.0b1.tar.gz#sha256=8d6e63d8b99752e4b53f272b66f9cd7b59e2b288e9a863a61c48d167203a2656 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.0b1
  Found link https://files.pythonhosted.org/packages/97/72/1d514201e7d7fc7fff5aac3de9c7b892cd72fb4bf23fd983630df96f7412/pip-10.0.0b2-py2.py3-none-any.whl#sha256=79f55588912f1b2b4f86f96f11e329bb01b25a484e2204f245128b927b1038a7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.0b2
  Found link https://files.pythonhosted.org/packages/32/67/572f642e6e42c580d3154964cfbab7d9322c23b0f417c6c01fdd206a2777/pip-10.0.0b2.tar.gz#sha256=ad6adec2150ce4aed8f6134d9b77d928fc848dbcb887fb1a455988cf99da5cae (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.0b2
  Found link https://files.pythonhosted.org/packages/62/a1/0d452b6901b0157a0134fd27ba89bf95a857fbda64ba52e1ca2cf61d8412/pip-10.0.0-py2.py3-none-any.whl#sha256=86a60a96d85e329962a9e6f6af612cbc11106293dbc83f119802b5bee9874cf3 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.0
  Found link https://files.pythonhosted.org/packages/e0/69/983a8e47d3dfb51e1463c1e962b2ccd1d74ec4e236e232625e353d830ed2/pip-10.0.0.tar.gz#sha256=f05a3eeea64bce94e85cc6671d679473d66288a4d37c3fcf983584954096b34f (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.0
  Found link https://files.pythonhosted.org/packages/0f/74/ecd13431bcc456ed390b44c8a6e917c1820365cbebcb6a8974d1cd045ab4/pip-10.0.1-py2.py3-none-any.whl#sha256=717cdffb2833be8409433a93746744b59505f42146e8d37de6c62b430e25d6d7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.1
  Found link https://files.pythonhosted.org/packages/ae/e8/2340d46ecadb1692a1e455f13f75e596d4eab3d11a57446f08259dee8f02/pip-10.0.1.tar.gz#sha256=f2bd08e0cd1b06e10218feaf6fef299f473ba706582eb3bd9d52203fdbd7ee68 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*), version: 10.0.1
  Found link https://files.pythonhosted.org/packages/5f/25/e52d3f31441505a5f3af41213346e5b6c221c9e086a166f3703d2ddaf940/pip-18.0-py2.py3-none-any.whl#sha256=070e4bf493c7c2c9f6a08dd797dd3c066d64074c38e9e8a0fb4e6541f266d96c (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 18.0
  Found link https://files.pythonhosted.org/packages/69/81/52b68d0a4de760a2f1979b0931ba7889202f302072cc7a0d614211bc7579/pip-18.0.tar.gz#sha256=a0e11645ee37c90b40c46d607070c4fd583e2cd46231b1c06e389c5e814eed76 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 18.0
  Found link https://files.pythonhosted.org/packages/c2/d7/90f34cb0d83a6c5631cf71dfe64cc1054598c843a92b400e55675cc2ac37/pip-18.1-py2.py3-none-any.whl#sha256=7909d0a0932e88ea53a7014dfd14522ffef91a464daaaf5c573343852ef98550 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 18.1
  Found link https://files.pythonhosted.org/packages/45/ae/8a0ad77defb7cc903f09e551d88b443304a9bd6e6f124e75c0fbbf6de8f7/pip-18.1.tar.gz#sha256=c0a292bd977ef590379a3f05d7b7f65135487b67470f6281289a94e015650ea1 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 18.1
  Found link https://files.pythonhosted.org/packages/60/64/73b729587b6b0d13e690a7c3acd2231ee561e8dd28a58ae1b0409a5a2b20/pip-19.0-py2.py3-none-any.whl#sha256=249ab0de4c1cef3dba4cf3f8cca722a07fc447b1692acd9f84e19c646db04c9a (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0
  Found link https://files.pythonhosted.org/packages/11/31/c483614095176ddfa06ac99c2af4171375053b270842c7865ca0b4438dc1/pip-19.0.tar.gz#sha256=c82bf8bc00c5732f0dd49ac1dea79b6242a1bd42a5012e308ed4f04369b17e54 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0
  Found link https://files.pythonhosted.org/packages/46/dc/7fd5df840efb3e56c8b4f768793a237ec4ee59891959d6a215d63f727023/pip-19.0.1-py2.py3-none-any.whl#sha256=aae79c7afe895fb986ec751564f24d97df1331bb99cdfec6f70dada2f40c0044 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0.1
  Found link https://files.pythonhosted.org/packages/c8/89/ad7f27938e59db1f0f55ce214087460f65048626e2226531ba6cb6da15f0/pip-19.0.1.tar.gz#sha256=e81ddd35e361b630e94abeda4a1eddd36d47a90e71eb00f38f46b57f787cd1a5 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0.1
  Found link https://files.pythonhosted.org/packages/d7/41/34dd96bd33958e52cb4da2f1bf0818e396514fd4f4725a79199564cd0c20/pip-19.0.2-py2.py3-none-any.whl#sha256=6a59f1083a63851aeef60c7d68b119b46af11d9d803ddc1cf927b58edcd0b312 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0.2
  Found link https://files.pythonhosted.org/packages/4c/4d/88bc9413da11702cbbace3ccc51350ae099bb351febae8acc85fec34f9af/pip-19.0.2.tar.gz#sha256=f851133f8b58283fa50d8c78675eb88d4ff4cde29b6c41205cd938b06338e0e5 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0.2
  Found link https://files.pythonhosted.org/packages/d8/f3/413bab4ff08e1fc4828dfc59996d721917df8e8583ea85385d51125dceff/pip-19.0.3-py2.py3-none-any.whl#sha256=bd812612bbd8ba84159d9ddc0266b7fbce712fc9bc98c82dee5750546ec8ec64 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0.3
  Found link https://files.pythonhosted.org/packages/36/fa/51ca4d57392e2f69397cd6e5af23da2a8d37884a605f9e3f2d3bfdc48397/pip-19.0.3.tar.gz#sha256=6e6f197a1abfb45118dbb878b5c859a0edbdd33fd250100bc015b67fded4b9f2 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.0.3
  Found link https://files.pythonhosted.org/packages/f9/fb/863012b13912709c13cf5cfdbfb304fa6c727659d6290438e1a88df9d848/pip-19.1-py2.py3-none-any.whl#sha256=8f59b6cf84584d7962d79fd1be7a8ec0eb198aa52ea864896551736b3614eee9 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.1
  Found link https://files.pythonhosted.org/packages/51/5f/802a04274843f634469ef299fcd273de4438386deb7b8681dd059f0ee3b7/pip-19.1.tar.gz#sha256=d9137cb543d8a4d73140a3282f6d777b2e786bb6abb8add3ac5b6539c82cd624 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.1
  Found link https://files.pythonhosted.org/packages/5c/e0/be401c003291b56efc55aeba6a80ab790d3d4cece2778288d65323009420/pip-19.1.1-py2.py3-none-any.whl#sha256=993134f0475471b91452ca029d4390dc8f298ac63a712814f101cd1b6db46676 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.1.1
  Found link https://files.pythonhosted.org/packages/93/ab/f86b61bef7ab14909bd7ec3cd2178feb0a1c86d451bc9bccd5a1aedcde5f/pip-19.1.1.tar.gz#sha256=44d3d7d3d30a1eb65c7e5ff1173cdf8f7467850605ac7cc3707b6064bddd0958 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*), version: 19.1.1
  Found link https://files.pythonhosted.org/packages/3a/6f/35de4f49ae5c7fdb2b64097ab195020fb48faa8ad3a85386ece6953c11b1/pip-19.2-py2.py3-none-any.whl#sha256=468c67b0b1120cd0329dc72972cf0651310783a922e7609f3102bd5fb4acbf17 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2
  Found link https://files.pythonhosted.org/packages/41/13/b6e68eae78405af6e4e9a93319ae5bb371057786f1590b157341f7542d7d/pip-19.2.tar.gz#sha256=aa6fdd80d13caac75d92b5eced06778712859b1606ba92d62389c11be12b2dad (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2
  Found link https://files.pythonhosted.org/packages/62/ca/94d32a6516ed197a491d17d46595ce58a83cbb2fca280414e57cd86b84dc/pip-19.2.1-py2.py3-none-any.whl#sha256=80d7452630a67c1e7763b5f0a515690f2c1e9ad06dda48e0ae85b7fdf2f59d97 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2.1
  Found link https://files.pythonhosted.org/packages/8b/8a/1b2aadd922db1afe6bc107b03de41d6d37a28a5923383e60695fba24ae81/pip-19.2.1.tar.gz#sha256=258d702483dd749400aec59c23d638a5b2249ae28a0f478b6cab12ad45681a80 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2.1
  Found link https://files.pythonhosted.org/packages/8d/07/f7d7ced2f97ca3098c16565efbe6b15fafcba53e8d9bdb431e09140514b0/pip-19.2.2-py2.py3-none-any.whl#sha256=4b956bd8b7b481fc5fa222637ff6d0823a327e5118178f1ec47618a480e61997 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2.2
  Found link https://files.pythonhosted.org/packages/aa/1a/62fb0b95b1572c76dbc3cc31124a8b6866cbe9139eb7659ac7349457cf7c/pip-19.2.2.tar.gz#sha256=e05103825871e210d50a44c7e448587b0ed99dd775d3ef586304c58f40224a53 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2.2
  Found link https://files.pythonhosted.org/packages/30/db/9e38760b32e3e7f40cce46dd5fb107b8c73840df38f0046d8e6514e675a1/pip-19.2.3-py2.py3-none-any.whl#sha256=340a0ba40fdeb16413914c0fcd8e0b4ebb0bf39a900ec80e11c05d836c05103f (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2.3
  Found link https://files.pythonhosted.org/packages/00/9e/4c83a0950d8bdec0b4ca72afd2f9cea92d08eb7c1a768363f2ea458d08b4/pip-19.2.3.tar.gz#sha256=e7a31f147974362e6c82d84b91c7f2bdf57e4d3163d3d454e6c3e71944d67135 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.2.3
  Found link https://files.pythonhosted.org/packages/4a/08/6ca123073af4ebc4c5488a5bc8a010ac57aa39ce4d3c8a931ad504de4185/pip-19.3-py2.py3-none-any.whl#sha256=e100a7eccf085f0720b4478d3bb838e1c179b1e128ec01c0403f84e86e0e2dfb (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.3
  Found link https://files.pythonhosted.org/packages/af/7a/5dd1e6efc894613c432ce86f1011fcc3bbd8ac07dfeae6393b7b97f1de8b/pip-19.3.tar.gz#sha256=324d234b8f6124846b4e390df255cacbe09ce22791c3b714aa1ea6e44a4f2861 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.3
  Found link https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl#sha256=6917c65fc3769ecdc61405d3dfd97afdedd75808d200b2838d7d961cebc0c2c7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.3.1
  Found link https://files.pythonhosted.org/packages/ce/ea/9b445176a65ae4ba22dce1d93e4b5fe182f953df71a145f557cffaffc1bf/pip-19.3.1.tar.gz#sha256=21207d76c1031e517668898a6b46a9fb1501c7a4710ef5dfd6a40ad9e6757ea7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.3.1
  Found link https://files.pythonhosted.org/packages/60/65/16487a7c4e0f95bb3fc89c2e377be331fd496b7a9b08fd3077de7f3ae2cf/pip-20.0-py2.py3-none-any.whl#sha256=eea07b449d969dbc8c062c157852cf8ed2ad1b8b5ac965a6b819e62929e41703 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0
  Found link https://files.pythonhosted.org/packages/8c/5c/c18d58ab5c1a702bf670e0bd6a77cd4645e4aeca021c6118ef850895cc96/pip-20.0.tar.gz#sha256=5128e9a9401f1d16c1d15b2ed766a79d7813db1538428d0b0ce74838249e3a41 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0
  Found link https://files.pythonhosted.org/packages/57/36/67f809c135c17ec9b8276466cc57f35b98c240f55c780689ea29fa32f512/pip-20.0.1-py2.py3-none-any.whl#sha256=b7110a319790ae17e8105ecd6fe07dbcc098a280c6d27b6dd7a20174927c24d7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0.1
  Found link https://files.pythonhosted.org/packages/28/af/2c76c8aa46ccdf7578b83d97a11a2d1858794d4be4a1610ade0d30182e8b/pip-20.0.1.tar.gz#sha256=3cebbac2a1502e09265f94e5717408339de846b3c0f0ed086d7b817df9cab822 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0.1
  Found link https://files.pythonhosted.org/packages/54/0c/d01aa759fdc501a58f431eb594a17495f15b88da142ce14b5845662c13f3/pip-20.0.2-py2.py3-none-any.whl#sha256=4ae14a42d8adba3205ebeb38aa68cfc0b6c346e1ae2e699a0b3bad4da19cef5c (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0.2
  Found link https://files.pythonhosted.org/packages/8e/76/66066b7bc71817238924c7e4b448abdb17eb0c92d645769c223f9ace478f/pip-20.0.2.tar.gz#sha256=7db0c8ea4c7ea51c8049640e8e6e7fde949de672bfa4949920675563a5a6967f (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0.2
Given no hashes to check 137 links for project 'pip': discarding no candidates
++ source /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/JenkinsGPkit/print_versions.sh
+++ python -c 'import scipy; print scipy.__version__'
1.2.3
+++ python -c 'import numpy; print numpy.__version__'
1.16.6
+++ python -c 'import pint; print pint.__version__'
0.9
+++ python -c 'import gpkit; print(gpkit.settings)'
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
.............................................................................................................................................................................................................................................................................................................
----------------------------------------------------------------------
Ran 301 tests in 30.788s

OK
Found no installed solvers, beginning a build.
# Moving to the directory from which GPkit was imported.
Started building gpkit...

Attempting to find and build solvers:

# Looking for mosek
#     Found /Users/jenkins/mosek/8/tools/platform/osx64x86/h/mosek.h
#     Found /Users/jenkins/mosek/8/tools/platform/osx64x86/bin/libmosek64.8.1.dylib
#     Found /Users/jenkins/mosek/8/tools/examples/c/scopt-ext.c
#     Found /Users/jenkins/mosek/8/tools/examples/c/expopt.c
#     Found /Users/jenkins/mosek/8/tools/examples/c/dgopt.c
#     Found /Users/jenkins/mosek/8/tools/examples/c/scopt-ext.h
#     Found /Users/jenkins/mosek/8/tools/examples/c/expopt.h
#     Found /Users/jenkins/mosek/8/tools/examples/c/dgopt.h
#     Found /Users/jenkins/mosek/8/tools/platform/osx64x86/h/mosek.h
# Found mosek version 8, installed to /Users/jenkins/mosek
#
# Building mosek...
#     Replacing directory _mosek/build
#     Replacing directory /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/build_gpkit
#
#   Copying expopt library files to _mosek/build
#     Copying /Users/jenkins/mosek/8/tools/examples/c/scopt-ext.c
#     Copying /Users/jenkins/mosek/8/tools/examples/c/expopt.c
#     Copying /Users/jenkins/mosek/8/tools/examples/c/dgopt.c
#     Copying /Users/jenkins/mosek/8/tools/examples/c/scopt-ext.h
#     Copying /Users/jenkins/mosek/8/tools/examples/c/expopt.h
#     Copying /Users/jenkins/mosek/8/tools/examples/c/dgopt.h
#     Copying /Users/jenkins/mosek/8/tools/platform/osx64x86/h/mosek.h
#
#   Applying expopt patches...
#
#     Change in _mosek/build/dgopt.con line 651
#     --         printf("Number of Hessian non-zeros: %d\n",nlh[0]->numhesnz);
#     ++ MSK_echotask(task,MSK_STREAM_MSG,"Number of Hessian non-zeros: %d\n",n
#
#     Change in _mosek/build/expopt.con line 566
#     --         printf("Warning: The variable with index '%d' has only positiv
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "Warning: The variable with in
#
#     Change in _mosek/build/expopt.con line 579
#     --         printf("Warning: The variable with index '%d' has only negativ
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "Warning: The variable with in
#
#     Change in _mosek/build/expopt.con line 1115
#     --     printf ("solsta = %d, prosta = %d\n", (int)*solsta,(int)*prosta);
#     ++ MSK_echotask(expopttask,MSK_STREAM_MSG, "solsta = %d, prosta = %d\n", 
#
#   Building expopt library...
#     Calling 'gcc -fpic -shared -Wl,-rpath "/Users/jenkins/mosek/8/tools/platform/osx64x86/bin"    _mosek/build/scopt-ext.c _mosek/build/expopt.c _mosek/build/dgopt.c   "/Users/jenkins/mosek/8/tools/platform/osx64x86/bin/libmosek64.8.1.dylib" -o /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/build_gpkit/expopt.so'
##
### CALL BEGINS
### CALL ENDS
##
#     Calling 'install_name_tool -change libmosek64.8.1.dylib /Users/jenkins/mosek/8/tools/platform/osx64x86/bin/libmosek64.8.1.dylib /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/build_gpkit/expopt.so'
##
### CALL BEGINS
### CALL ENDS
##
#     Calling 'install_name_tool -change libmosek64.8.1.dylib @executable_path/libmosek64.8.1.dylib /Users/jenkins/mosek/8/tools/platform/osx64x86/bin/mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Done building mosek
# Looking for mosek_cli
#   Trying to run mskexpopt...
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Found mosek_cli in system path
# Looking for mosek_conif
#   Trying to import mosek...
# Found mosek_conif in Python path
# Looking for cvxopt
#   Trying to import cvxopt...
# Did not find cvxopt
...finished building gpkit.
Replaced found solvers ([u'mosek', u'mosek_cli', u'mosek_conif']) with environment var GPKITSOLVERS (mosek, mosek_cli, mosek_conif)

Found the following solvers: mosek, mosek_cli, mosek_conif
#     Replacing directory env
x[:] <= w

GPkit is now installed with solver(s) [u'mosek', u'mosek_cli', u'mosek_conif']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

{u'just built!': True, u'default_solver': u'mosek', u'mosek_version': u'8', u'mosek_lib_path': u'/Users/jenkins/mosek/8/tools/platform/osx64x86/bin/libmosek64.8.1.dylib', u'mosek_gpkitbin_path': u'/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/build_gpkit/expopt.so', u'installed_solvers': [u'mosek', u'mosek_cli', u'mosek_conif'], u'mosek_bin_dir': u'/Users/jenkins/mosek/8/tools/platform/osx64x86/bin'}
++ export MSK_IPAR_NUM_THREADS=2
++ MSK_IPAR_NUM_THREADS=2
++ export MKL_NUM_THREADS=2
++ MKL_NUM_THREADS=2
++ export NUMEXPR_NUM_THREADS=2
++ NUMEXPR_NUM_THREADS=2
++ export OPENBLAS_NUM_THREADS=2
++ OPENBLAS_NUM_THREADS=2
++ export OMP_NUM_THREADS=2
++ OMP_NUM_THREADS=2
++ python -c 'from gpkit.tests.test_repo import test_repos; test_repos(xmloutput=True, ingpkitmodels=True)'
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Obtaining file:///Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek
Installing collected packages: gpkitmodels
  Running setup.py develop for gpkitmodels
Successfully installed gpkitmodels
Cloning into 'robust'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/robust
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from robust==0.0.0) (0.9.1.0)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust==0.0.0) (from versions: none)
ERROR: No matching distribution found for gplibrary (from robust==0.0.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/robust
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from robust==0.0.0) (0.9.1.0)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust==0.0.0) (from versions: none)
ERROR: No matching distribution found for gplibrary (from robust==0.0.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/robust
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from robust==0.0.0) (0.9.1.0)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust==0.0.0) (from versions: none)
ERROR: No matching distribution found for gplibrary (from robust==0.0.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/robust
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from robust==0.0.0) (0.9.1.0)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust==0.0.0) (from versions: none)
ERROR: No matching distribution found for gplibrary (from robust==0.0.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/robust
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from robust==0.0.0) (0.9.1.0)
ERROR: Could not find a version that satisfies the requirement gplibrary (from robust==0.0.0) (from versions: none)
ERROR: No matching distribution found for gplibrary (from robust==0.0.0)

Running tests...
----------------------------------------------------------------------

Running tests...
----------------------------------------------------------------------
...............................................................
----------------------------------------------------------------------
Ran 63 tests in 89.549s

OK

Generating XML reports...
.
Running tests...
----------------------------------------------------------------------
...............................................................
----------------------------------------------------------------------
Ran 63 tests in 171.631s

OK

Generating XML reports...
.
Running tests...
----------------------------------------------------------------------
...............................................................
----------------------------------------------------------------------
Ran 63 tests in 95.607s

OK

Generating XML reports...
.
----------------------------------------------------------------------
Ran 3 tests in 366.753s

OK

Generating XML reports...
adding test for 'run_tests.py'
Cloning into 'shopping'...

Running tests...
----------------------------------------------------------------------
....
----------------------------------------------------------------------
Ran 4 tests in 0.344s

OK

Generating XML reports...
adding test for 'test.py'
Using solver 'mosek'
Solving for 25 variables.
Solving took 0.0141 seconds.
Using solver 'mosek'
Solving for 25 variables.
Solving took 0.0134 seconds.
Using solver 'mosek_cli'
Solving for 25 variables.
Solving took 0.0519 seconds.
Using solver 'mosek_conif'
Solving for 25 variables.
Solving took 0.021 seconds.
Cloning into 'gassolar'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.3)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.6)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.1)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.14.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-Tw8NRY
  Running command git clone -q https://github.com/hoburg/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-Tw8NRY
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Collecting cvxopt>=1.1.8
  Using cached cvxopt-1.2.4-cp27-cp27m-macosx_10_9_x86_64.whl (3.0 MB)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.14.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-py2-none-any.whl size=25375 sha256=a477735d7cf4f92f3454b01206093957608a2499eee7c99f71bd7c76a495e147
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-YK3DHY/wheels/90/b1/12/2e80fcacd1d4a7f5439cbdcda9c9dc2e1494fc8bcc1af5f375
Successfully built gpfit
Installing collected packages: gpfit, cvxopt
Successfully installed cvxopt-1.2.4 gpfit-0.1
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gassolar
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from gassolar==0.0.0.0) (0.9.1.0)
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.24.2)
Requirement already satisfied: gpfit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.1)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.2.4)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.14.0)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2019.3)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2.8.1)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gassolar==0.0.0.0) (1.0.2)
Building wheels for collected packages: gassolar
  Building wheel for gassolar (setup.py): started
  Building wheel for gassolar (setup.py): finished with status 'done'
  Created wheel for gassolar: filename=gassolar-0.0.0.0-py2-none-any.whl size=4876519 sha256=0dd701e0ea5672b0b17ad4392d6c52e483a63370324098acd14d76f797b7bac4
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-KcOMb8/wheels/10/4c/ce/349a79eb703c1a25556d7e771885593d33e231cf1348f10ead
Successfully built gassolar
Installing collected packages: gassolar
Successfully installed gassolar-0.0.0.0

Running tests...
----------------------------------------------------------------------
/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/pint/quantity.py:1377: UnitStrippedWarning: The unit of the quantity is stripped.
  warnings.warn("The unit of the quantity is stripped.", UnitStrippedWarning)
.../Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/gassolar/environment/solar_irradiance.py:40: RuntimeWarning: overflow encountered in exp
  tau = np.exp(-0.175/costhsun)
...
----------------------------------------------------------------------
Ran 6 tests in 39.142s

OK

Generating XML reports...
adding test for 'gassolar/gas/gas.py'
adding test for 'gassolar/solar/solar.py'
Using solver 'mosek'
Solving for 592 variables.
Solving took 0.0944 seconds.
Warning: Variable Mission.Climb.FlightSegment.AircraftPerf.EnginePerf.P_{total}[:]/Mission.Climb.FlightSegment.Aircraf could cause inaccurate result because it is above upper bound. Solution is 1.0000 but bound is 0.9685
Beginning signomial solve.
Solving took 4 GP solves and 0.463 seconds.
Warning: Variable Mission1.Climb.FlightSegment.AircraftPerf.EnginePerf.P_{total}[:]/Mission1.Climb.FlightSegment.Aircr could cause inaccurate result because it is above upper bound. Solution is 1.0000 but bound is 0.9685
Using solver 'mosek_cli'
Solving for 592 variables.
Solving took 0.147 seconds.
Warning: Variable Mission.Climb.FlightSegment.AircraftPerf.EnginePerf.P_{total}[:]/Mission.Climb.FlightSegment.Aircraf could cause inaccurate result because it is above upper bound. Solution is 1.0000 but bound is 0.9685
Beginning signomial solve.
Solving took 4 GP solves and 0.669 seconds.
Warning: Variable Mission1.Climb.FlightSegment.AircraftPerf.EnginePerf.P_{total}[:]/Mission1.Climb.FlightSegment.Aircr could cause inaccurate result because it is above upper bound. Solution is 1.0000 but bound is 0.9685
Using solver 'mosek_conif'
Solving for 592 variables.
Solving took 0.192 seconds.
Warning: Variable Mission.Climb.FlightSegment.AircraftPerf.EnginePerf.P_{total}[:]/Mission.Climb.FlightSegment.Aircraf could cause inaccurate result because it is above upper bound. Solution is 1.0000 but bound is 0.9685
Beginning signomial solve.
Solving took 4 GP solves and 1.4 seconds.
Warning: Variable Mission1.Climb.FlightSegment.AircraftPerf.EnginePerf.P_{total}[:]/Mission1.Climb.FlightSegment.Aircr could cause inaccurate result because it is above upper bound. Solution is 1.0000 but bound is 0.9685
Using solver 'mosek'
Solving for 1250 variables.
Solving took 0.289 seconds.
Warning: Variable Mission.FlightSegment.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 102558.3538 but bound is 150000.0000
Warning: Variable Mission.FlightSegment10.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 102558.3827 but bound is 150000.0000
Beginning signomial solve.
Solving took 4 GP solves and 1.66 seconds.
Warning: Variable Mission1.FlightSegment.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 103379.4301 but bound is 150000.0000
Warning: Variable Mission1.FlightSegment10.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 103406.0835 but bound is 150000.0000
Using solver 'mosek_cli'
Solving for 1250 variables.
Solving took 0.451 seconds.
Warning: Variable Mission.FlightSegment.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 102558.6388 but bound is 150000.0000
Warning: Variable Mission.FlightSegment10.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 102558.6388 but bound is 150000.0000
Beginning signomial solve.
Solving took 4 GP solves and 2.67 seconds.
Warning: Variable Mission1.FlightSegment.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 103379.2971 but bound is 150000.0000
Warning: Variable Mission1.FlightSegment10.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 103406.1793 but bound is 150000.0000
Using solver 'mosek_conif'
Solving for 1250 variables.
Solving took 0.371 seconds.
Warning: Variable Mission.FlightSegment.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 102558.3179 but bound is 150000.0000
Warning: Variable Mission.FlightSegment10.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 102558.3851 but bound is 150000.0000
Beginning signomial solve.
Solving took 4 GP solves and 2.46 seconds.
Warning: Variable Mission1.FlightSegment.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 103380.8833 but bound is 150000.0000
Warning: Variable Mission1.FlightSegment10.AircraftPerf.WingAero.Re could cause inaccurate result because it is below lower bound. Solution is 103406.1946 but bound is 150000.0000
Cloning into 'jho'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.3)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.6)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.1)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.14.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-43VZt0
  Running command git clone -q https://github.com/hoburg/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-43VZt0
Requirement already satisfied (use --upgrade to upgrade): gpfit==0.1 from git+https://github.com/hoburg/gpfit.git in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.4)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.14.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-py2-none-any.whl size=25375 sha256=229baf002243b4cde871579e1c005e3b5d2a06f6368bb20129fc11c2956714ff
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-4yKqbh/wheels/90/b1/12/2e80fcacd1d4a7f5439cbdcda9c9dc2e1494fc8bcc1af5f375
Successfully built gpfit

Running tests...
----------------------------------------------------------------------
/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/pint/quantity.py:1377: UnitStrippedWarning: The unit of the quantity is stripped.
  warnings.warn("The unit of the quantity is stripped.", UnitStrippedWarning)
......
----------------------------------------------------------------------
Ran 6 tests in 45.113s

OK

Generating XML reports...
adding test for 'model/jho.py'
adding test for 'model/print_perf.py'
Beginning signomial solve.
Allowing negative dual variable(s) as small as -1.2566195913693567e-13.
Solving took 4 GP solves and 1.35 seconds.
Beginning signomial solve.
Allowing negative dual variable(s) as small as -1.269612e-13.
Solving took 4 GP solves and 1.71 seconds.
Beginning signomial solve.
Solving took 4 GP solves and 1.65 seconds.
Allowing negative dual variable(s) as small as -1.0218874357814656e-12.
Allowing negative dual variable(s) as small as -1.115971491648729e-12.
MTOW [lbs] = 141.77
Zero fuel weight [lbs] = 53.80
Wing span [ft] = 24.00
Aicraft length [ft] = 12.90
Aspect ratio = 25.60
mean aerodynamic chord [ft] = 0.9722
root chord [ft] = 1.250
speed for best rate of climb [m/s]: Vy = 21.829
speed at top of climb [m/s] = 26.622
design loiter speed [m/s] = 25.070
rotation speed at 55 lbs [m/s] = 18.185
rotation speed at 150 lbs [m/s] = 28.236
optimum loiter speed for min power, start of loiter [m/s] = 25.279
optimum loiter speed for min power, end of loiter [m/s] = 17.233
optimum cruise speed, inbound [m/s] = 25.637
optimum cruise speed, outbound [m/s] = 36.269
Beginning signomial solve.
Allowing negative dual variable(s) as small as -6.468919414397926e-12.
Solving took 4 GP solves and 1.26 seconds.
Max Speed [m/s]: 74.76
Beginning signomial solve.
Solving took 4 GP solves and 0.907 seconds.
Max payload weight [lbf] = 28.083
Max take off weight [lbf] = 166.417
Allowing negative dual variable(s) as small as -1.023304e-12.
Allowing negative dual variable(s) as small as -1.114407e-12.
MTOW [lbs] = 141.77
Zero fuel weight [lbs] = 53.80
Wing span [ft] = 24.00
Aicraft length [ft] = 12.90
Aspect ratio = 25.60
mean aerodynamic chord [ft] = 0.9722
root chord [ft] = 1.250
speed for best rate of climb [m/s]: Vy = 21.829
speed at top of climb [m/s] = 26.622
design loiter speed [m/s] = 25.070
rotation speed at 55 lbs [m/s] = 18.185
rotation speed at 150 lbs [m/s] = 28.236
optimum loiter speed for min power, start of loiter [m/s] = 25.279
optimum loiter speed for min power, end of loiter [m/s] = 17.233
optimum cruise speed, inbound [m/s] = 25.637
optimum cruise speed, outbound [m/s] = 36.269
Beginning signomial solve.
Allowing negative dual variable(s) as small as -6.468754e-12.
Solving took 4 GP solves and 1.73 seconds.
Max Speed [m/s]: 74.76
Beginning signomial solve.
Solving took 4 GP solves and 1.06 seconds.
Max payload weight [lbf] = 28.083
Max take off weight [lbf] = 166.418
MTOW [lbs] = 141.77
Zero fuel weight [lbs] = 53.80
Wing span [ft] = 24.00
Aicraft length [ft] = 12.90
Aspect ratio = 25.60
mean aerodynamic chord [ft] = 0.9722
root chord [ft] = 1.250
speed for best rate of climb [m/s]: Vy = 21.829
speed at top of climb [m/s] = 26.622
design loiter speed [m/s] = 25.070
rotation speed at 55 lbs [m/s] = 18.185
rotation speed at 150 lbs [m/s] = 28.236
optimum loiter speed for min power, start of loiter [m/s] = 25.279
optimum loiter speed for min power, end of loiter [m/s] = 17.233
optimum cruise speed, inbound [m/s] = 25.637
optimum cruise speed, outbound [m/s] = 36.269
Beginning signomial solve.
Solving took 4 GP solves and 1.92 seconds.
Max Speed [m/s]: 74.76
Beginning signomial solve.
Solving took 4 GP solves and 1.87 seconds.
Max payload weight [lbf] = 28.083
Max take off weight [lbf] = 166.418
Cloning into 'turbofan'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/turbofan
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (1.2.3)
Requirement already satisfied: pint in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (0.9)
Requirement already satisfied: future in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from turbofan==0.0.0.0) (0.18.2)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint->turbofan==0.0.0.0) (1.0.2)
Building wheels for collected packages: turbofan
  Building wheel for turbofan (setup.py): started
  Building wheel for turbofan (setup.py): finished with status 'done'
  Created wheel for turbofan: filename=turbofan-0.0.0.0-py2-none-any.whl size=43842 sha256=b11459481047bc2881c17f75f3f5a10cf6311af57bc71c79f80cdd30a09688cd
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-RwasEG/wheels/cb/47/be/b17f0dbe26c4de913d1804f2b9ee12c19876760709b9ac69d9
Successfully built turbofan
Installing collected packages: turbofan
Successfully installed turbofan-0.0.0.0

Running tests...
----------------------------------------------------------------------
..
----------------------------------------------------------------------
Ran 2 tests in 2.174s

OK

Generating XML reports...
adding test for 'turbofan/engine_test.py'
Beginning signomial solve.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0164 seconds.
Using solver 'mosek'
Solving for 244 variables.
Solving took 0.0344 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0261 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0205 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0225 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.018 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0226 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0224 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0288 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0235 seconds.
Using solver 'mosek'
Solving for 243 variables.
Solving took 0.0205 seconds.
Solving took 11 GP solves and 0.685 seconds.
Beginning signomial solve.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0366 seconds.
Using solver 'mosek_conif'
Solving for 244 variables.
Solving took 0.0393 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0417 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0189 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0253 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0225 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0209 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0249 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0481 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0199 seconds.
Using solver 'mosek_conif'
Solving for 243 variables.
Solving took 0.0217 seconds.
Solving took 11 GP solves and 0.681 seconds.
Cloning into 'solar'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.3)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.6)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.1)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.14.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/convexengineering/gpfit.git
  Cloning https://github.com/convexengineering/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-1iTDfm
  Running command git clone -q https://github.com/convexengineering/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-1iTDfm
Requirement already satisfied (use --upgrade to upgrade): gpfit==0.1 from git+https://github.com/convexengineering/gpfit.git in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.4)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.14.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-py2-none-any.whl size=25375 sha256=470755ddeac5eb0030879d566992fa1710d6d3226847aaa551f132122ba32374
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-a3YT14/wheels/c4/86/a8/d076a2918d767df46db4980e523f8bbc6415466d4e868a08f8
Successfully built gpfit
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/convexengineering/gassolar.git
  Cloning https://github.com/convexengineering/gassolar.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-x0Ums1
  Running command git clone -q https://github.com/convexengineering/gassolar.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-x0Ums1
Requirement already satisfied (use --upgrade to upgrade): gassolar==0.0.0.0 from git+https://github.com/convexengineering/gassolar.git in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from gassolar==0.0.0.0) (0.9.1.0)
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.24.2)
Requirement already satisfied: gpfit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gassolar==0.0.0.0) (0.1)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.2.4)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gassolar==0.0.0.0) (1.14.0)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2019.3)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas->gassolar==0.0.0.0) (2.8.1)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gassolar==0.0.0.0) (1.0.2)
Building wheels for collected packages: gassolar
  Building wheel for gassolar (setup.py): started
  Building wheel for gassolar (setup.py): finished with status 'done'
  Created wheel for gassolar: filename=gassolar-0.0.0.0-py2-none-any.whl size=4876519 sha256=4aeb012daf4f6458565b4f4fe5115a545a31536d397f883cf54d9130f348a289
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-TKE6fd/wheels/6e/2a/99/e9e93f8f21f5e569759f3fb4feb32d25b525383ff7fe0ffea4
Successfully built gassolar
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/solar
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from solar==0.0.0.0) (0.9.1.0)
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (0.24.2)
Requirement already satisfied: gpfit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from solar==0.0.0.0) (0.1)
Requirement already satisfied: gpkitmodels in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek (from solar==0.0.0.0) (0.0.0.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (1.2.4)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->solar==0.0.0.0) (1.14.0)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas->solar==0.0.0.0) (2019.3)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas->solar==0.0.0.0) (2.8.1)
Requirement already satisfied: future in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels->solar==0.0.0.0) (0.18.2)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->solar==0.0.0.0) (1.0.2)
Building wheels for collected packages: solar
  Building wheel for solar (setup.py): started
  Building wheel for solar (setup.py): finished with status 'done'
  Created wheel for solar: filename=solar-0.0.0.0-py2-none-any.whl size=15008 sha256=e3e554dd704754caa8c625ff40ead7287e2ef889941fc5d18ec4f9a6f873a41c
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-nr1R_D/wheels/9a/38/23/37f0aa36b9838bbc13e031d72f9c3a30041d70322962f54646
Successfully built solar
Installing collected packages: solar
Successfully installed solar-0.0.0.0

Running tests...
----------------------------------------------------------------------
/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/pint/quantity.py:1377: UnitStrippedWarning: The unit of the quantity is stripped.
  warnings.warn("The unit of the quantity is stripped.", UnitStrippedWarning)
.../Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/gassolar/environment/solar_irradiance.py:40: RuntimeWarning: overflow encountered in exp
  tau = np.exp(-0.175/costhsun)
/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/gassolar/environment/solar_irradiance.py:40: RuntimeWarning: divide by zero encountered in divide
  tau = np.exp(-0.175/costhsun)
....adding test for 'solar/sens_chart.py'
adding test for 'solar/season.py'
adding test for 'solar/npod_trade.py'

N=1
Beginning signomial solve.
Solving took 5 GP solves and 1.15 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 0.8904 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1632916.9435 but bound is 600000.0000
Warning: Variable Mission.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1259333.2960 but bound is 1000000.0000

N=3
Beginning signomial solve.
Solving took 5 GP solves and 1.28 seconds.
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1135 but bound is 0.9465
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1036204.4449 but bound is 600000.0000
Warning: Variable Mission1.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1006645.3573 but bound is 1000000.0000

N=5
Beginning signomial solve.
Solving took 5 GP solves and 1.4 seconds.
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1487 but bound is 0.9465
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 989673.4666 but bound is 600000.0000
Warning: Variable Mission2.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1019678.5408 but bound is 1000000.0000

N=7
Beginning signomial solve.
Solving took 5 GP solves and 1.69 seconds.
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1643 but bound is 0.9465
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 976142.1475 but bound is 600000.0000
Warning: Variable Mission3.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1042059.4123 but bound is 1000000.0000

N=9
Beginning signomial solve.
Solving took 5 GP solves and 1.57 seconds.
Warning: Variable Mission4.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1567 but bound is 0.9465
Warning: Variable Mission4.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1007400.4785 but bound is 600000.0000
Warning: Variable Mission4.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1092545.5150 but bound is 1000000.0000

N=0
Beginning signomial solve.
Solving took 4 GP solves and 0.724 seconds.
Warning: Variable Mission5.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.0536 but bound is 0.9465
Warning: Variable Mission5.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1119121.2078 but bound is 600000.0000

N=1
Beginning signomial solve.
Solving took 5 GP solves and 1.92 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 0.8904 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1632919.3776 but bound is 600000.0000
Warning: Variable Mission.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1259329.5070 but bound is 1000000.0000

N=3
Beginning signomial solve.
Solving took 5 GP solves and 1.75 seconds.
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1135 but bound is 0.9465
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1036209.6021 but bound is 600000.0000
Warning: Variable Mission1.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1006641.3990 but bound is 1000000.0000

N=5
Beginning signomial solve.
Solving took 5 GP solves and 1.49 seconds.
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1487 but bound is 0.9465
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 989673.1341 but bound is 600000.0000
Warning: Variable Mission2.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1019680.6011 but bound is 1000000.0000

N=7
Beginning signomial solve.
Solving took 5 GP solves and 2.14 seconds.
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1643 but bound is 0.9465
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 976138.7332 but bound is 600000.0000
Warning: Variable Mission3.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1042059.9154 but bound is 1000000.0000

N=9
Beginning signomial solve.
Solving took 5 GP solves and 2.06 seconds.
Warning: Variable Mission4.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1567 but bound is 0.9465
Warning: Variable Mission4.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1007396.6632 but bound is 600000.0000
Warning: Variable Mission4.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1092544.5684 but bound is 1000000.0000

N=0
Beginning signomial solve.
Solving took 4 GP solves and 1.09 seconds.
Warning: Variable Mission5.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.0536 but bound is 0.9465
Warning: Variable Mission5.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1119116.3963 but bound is 600000.0000

N=1
Beginning signomial solve.
Solving took 5 GP solves and 1.74 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 0.8904 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1632914.3973 but bound is 600000.0000
Warning: Variable Mission.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1259329.3558 but bound is 1000000.0000

N=3
Beginning signomial solve.
Solving took 5 GP solves and 2.54 seconds.
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1135 but bound is 0.9465
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1036200.1646 but bound is 600000.0000
Warning: Variable Mission1.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1006640.9984 but bound is 1000000.0000

N=5
Beginning signomial solve.
Solving took 5 GP solves and 2.28 seconds.
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1487 but bound is 0.9465
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 989649.4499 but bound is 600000.0000
Warning: Variable Mission2.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1019651.9236 but bound is 1000000.0000

N=7
Beginning signomial solve.
Solving took 5 GP solves and 2.5 seconds.
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1643 but bound is 0.9465
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 976121.6697 but bound is 600000.0000
Warning: Variable Mission3.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1042034.1953 but bound is 1000000.0000

N=9
Beginning signomial solve.
Solving took 5 GP solves and 2.78 seconds.
Warning: Variable Mission4.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.1567 but bound is 0.9465
Warning: Variable Mission4.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1007390.2904 but bound is 600000.0000
Warning: Variable Mission4.Climb.AircraftDrag.TailAero1.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1092533.4282 but bound is 1000000.0000

N=0
Beginning signomial solve.
Solving took 4 GP solves and 2.13 seconds.
Warning: Variable Mission5.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.0536 but bound is 0.9465
Warning: Variable Mission5.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1119117.2009 but bound is 600000.0000
Using solver 'mosek'
Solving for 14852 variables.
Solving took 5.66 seconds.
Allowing negative dual variable(s) as small as -3.6246815899639153e-11.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.3227 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 671709.7480 but bound is 600000.0000
Using solver 'mosek'
Solving for 14852 variables.
Solving took 5.16 seconds.
Allowing negative dual variable(s) as small as -5.780984487322902e-10.
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2812 but bound is 0.9465
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 729183.6293 but bound is 600000.0000
Using solver 'mosek'
Solving for 14852 variables.
Solving took 4.88 seconds.
Allowing negative dual variable(s) as small as -7.486587934225628e-12.
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2258 but bound is 0.9465
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 802959.5997 but bound is 600000.0000
Using solver 'mosek'
Solving for 7672 variables.
Solving took 2.12 seconds.
Allowing negative dual variable(s) as small as -1.2634497534364602e-11.
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2008 but bound is 0.9465
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 839122.5079 but bound is 600000.0000
Using solver 'mosek_cli'
Solving for 14852 variables.
Solving took 6.65 seconds.
Allowing negative dual variable(s) as small as -4.900913e-11.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.3227 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 671708.6709 but bound is 600000.0000
Using solver 'mosek_cli'
Solving for 14852 variables.
Solving took 5.04 seconds.
Allowing negative dual variable(s) as small as -8.608785e-11.
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2812 but bound is 0.9465
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 729182.9940 but bound is 600000.0000
Using solver 'mosek_cli'
Solving for 14852 variables.
Solving took 6.19 seconds.
Allowing negative dual variable(s) as small as -6.668603e-10.
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2258 but bound is 0.9465
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 802959.8567 but bound is 600000.0000
Using solver 'mosek_cli'
Solving for 7672 variables.
Solving took 2.88 seconds.
Allowing negative dual variable(s) as small as -1.312171e-11.
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2008 but bound is 0.9465
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 839120.8369 but bound is 600000.0000
Using solver 'mosek_conif'
Solving for 14852 variables.
Solving took 9.41 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.3227 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 671706.5216 but bound is 600000.0000
Using solver 'mosek_conif'
Solving for 14852 variables.
Solving took 10.6 seconds.
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2812 but bound is 0.9465
Warning: Variable Mission1.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 729183.2512 but bound is 600000.0000
Using solver 'mosek_conif'
Solving for 14852 variables.
Solving took 9.49 seconds.
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2258 but bound is 0.9465
Warning: Variable Mission2.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 802960.9148 but bound is 600000.0000
Using solver 'mosek_conif'
Solving for 7672 variables.
Solving took 5.39 seconds.
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.2008 but bound is 0.9465
Warning: Variable Mission3.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 839122.1586 but bound is 600000.0000
Beginning signomial solve.
Solving took 4 GP solves and 0.9 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.0536 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1119121.2076 but bound is 600000.0000
Beginning signomial solve.
Solving took 4 GP solves and 1.41 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.0536 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inacc..
----------------------------------------------------------------------
Ran 9 tests in 468.682s

OK

Generating XML reports...
urate result because it is above upper bound. Solution is 1119116.3963 but bound is 600000.0000
Beginning signomial solve.
Solving took 4 GP solves and 1.86 seconds.
Warning: Variable Mission.Climb.AircraftDrag.WingAero.CL[:] could cause inaccurate result because it is below lower bound. Solution is 1.0536 but bound is 0.9465
Warning: Variable Mission.Climb.AircraftDrag.WingAero.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1119112.5478 but bound is 600000.0000
Cloning into 'gplibrary'...
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pandas in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (0.24.2)
Requirement already satisfied: pytz>=2011k in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2019.3)
Requirement already satisfied: numpy>=1.12.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (1.16.6)
Requirement already satisfied: python-dateutil>=2.5.0 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pandas) (2.8.1)
Requirement already satisfied: six>=1.5 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from python-dateutil>=2.5.0->pandas) (1.14.0)
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-KgqHjp
  Running command git clone -q https://github.com/hoburg/gpfit.git /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-req-build-KgqHjp
Requirement already satisfied (use --upgrade to upgrade): gpfit==0.1 from git+https://github.com/hoburg/gpfit.git in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages
Requirement already satisfied: numpy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpfit==0.1) (1.2.3)
Requirement already satisfied: gpkit in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gpkit (from gpfit==0.1) (0.9.1.0)
Requirement already satisfied: pint>=0.8.1 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (0.9)
Requirement already satisfied: ad in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.2.4)
Requirement already satisfied: six in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkit->gpfit==0.1) (1.14.0)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint>=0.8.1->gpkit->gpfit==0.1) (1.0.2)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.1-py2-none-any.whl size=25375 sha256=9c6d2e68f550f4bca01629314bee900d966e2555c31e083bd78e57f89a0d03d9
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-ohr3Uy/wheels/90/b1/12/2e80fcacd1d4a7f5439cbdcda9c9dc2e1494fc8bcc1af5f375
Successfully built gpfit
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/gplibrary
Requirement already satisfied: numpy>=1.12 in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (1.16.6)
Requirement already satisfied: scipy in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (1.2.3)
Requirement already satisfied: pint in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (0.9)
Requirement already satisfied: future in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from gpkitmodels==0.0.0.0) (0.18.2)
Requirement already satisfied: funcsigs; python_version == "2.7" in /Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages (from pint->gpkitmodels==0.0.0.0) (1.0.2)
Building wheels for collected packages: gpkitmodels
  Building wheel for gpkitmodels (setup.py): started
  Building wheel for gpkitmodels (setup.py): finished with status 'done'
  Created wheel for gpkitmodels: filename=gpkitmodels-0.0.0.0-py2-none-any.whl size=65930 sha256=0d106007472a34b6b1e9ebfb63dcf6a29ec85ca83c213f8a15494a3a2fbb371d
  Stored in directory: /private/var/folders/42/s1whb7rd4mddfcnzk96g_d9h0000gp/T/pip-ephem-wheel-cache-8zDu5K/wheels/24/71/26/52177703f5c2f4f63793d52fbdc11c00b54d544e2ff315c986
Successfully built gpkitmodels
Installing collected packages: gpkitmodels
  Attempting uninstall: gpkitmodels
    Found existing installation: gpkitmodels 0.0.0.0
    Uninstalling gpkitmodels-0.0.0.0:
      Successfully uninstalled gpkitmodels-0.0.0.0
Successfully installed gpkitmodels-0.0.0.0

Running tests...
----------------------------------------------------------------------
.../Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/lib/python2.7/site-packages/pint/quantity.py:1377: UnitStrippedWarning: The unit of the quantity is stripped.
  warnings.warn("The unit of the quantity is stripped.", UnitStrippedWarning)
.....................
----------------------------------------------------------------------
Ran 24 tests in 17.345s

OK

Generating XML reports...
adding test for 'gpkitmodels/GP/aircraft/wing/wing_test.py'
adding test for 'gpkitmodels/GP/aircraft/tail/tail_tests.py'
adding test for 'gpkitmodels/GP/aircraft/fuselage/test_fuselage.py'
adding test for 'gpkitmodels/GP/aircraft/prop/prop_test.py'
adding test for 'gpkitmodels/GP/aircraft/motor/motor_test.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC_mission.py'
adding test for 'gpkitmodels/SP/SimPleAC/SimPleAC_multimission.py'
Using solver 'mosek'
Solving for 11 variables.
Solving took 0.0142 seconds.
Using solver 'mosek_cli'
Solving for 11 variables.
Solving took 0.0485 seconds.
Using solver 'mosek_conif'
Solving for 11 variables.
Solving took 0.0182 seconds.
Using solver 'mosek'
Solving for 9 variables.
Solving took 0.0111 seconds.
Using solver 'mosek'
Solving for 25 variables.
Solving took 0.0161 seconds.
Using solver 'mosek'
Solving for 25 variables.
Solving took 0.015 seconds.
Beginning signomial solve.
Solving took 16 GP solves and 0.832 seconds.
Using solver 'mosek_cli'
Solving for 9 variables.
Solving took 0.0507 seconds.
Using solver 'mosek_cli'
Solving for 25 variables.
Solving took 0.0572 seconds.
Using solver 'mosek_cli'
Solving for 25 variables.
Solving took 0.0607 seconds.
Beginning signomial solve.
Solving took 16 GP solves and 1.56 seconds.
Using solver 'mosek_conif'
Solving for 9 variables.
Solving took 0.0154 seconds.
Using solver 'mosek_conif'
Solving for 25 variables.
Solving took 0.0144 seconds.
Using solver 'mosek_conif'
Solving for 25 variables.
Solving took 0.0199 seconds.
Beginning signomial solve.
Solving took 16 GP solves and 1.02 seconds.
Using solver 'mosek'
Solving for 13 variables.
Solving took 0.015 seconds.
Beginning signomial solve.
Solving took 11 GP solves and 0.592 seconds.
Warning: Variable BladeElementProp.BladeElementPerf.cl[:] could cause inaccurate result because it is below lower bound. Solution is 0.6000 but bound is 0.4742
Warning: Variable BladeElementProp.BladeElementPerf.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1619898.0180 but bound is 700000.0000
Using solver 'mosek_cli'
Solving for 13 variables.
Solving took 0.0628 seconds.
Beginning signomial solve.
Solving took 11 GP solves and 1.13 seconds.
Warning: Variable BladeElementProp.BladeElementPerf.cl[:] could cause inaccurate result because it is below lower bound. Solution is 0.6000 but bound is 0.4742
Warning: Variable BladeElementProp.BladeElementPerf.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1619891.9379 but bound is 700000.0000
Using solver 'mosek_conif'
Solving for 13 variables.
Solving took 0.0198 seconds.
Beginning signomial solve.
Solving took 11 GP solves and 0.748 seconds.
Warning: Variable BladeElementProp.BladeElementPerf.cl[:] could cause inaccurate result because it is below lower bound. Solution is 0.6000 but bound is 0.4742
Warning: Variable BladeElementProp.BladeElementPerf.Re[:] could cause inaccurate result because it is above upper bound. Solution is 1619832.7740 but bound is 700000.0000
Warning: Variable TailAero.Re could cause inaccurate result because it is above upper bound. Solution is 2220953.3838 but bound is 1000000.0000
Warning: Variable TailAero1.Re could cause inaccurate result because it is above upper bound. Solution is 2499787.9776 but bound is 1000000.0000
Warning: Variable TailAero2.Re could cause inaccurate result because it is above upper bound. Solution is 2223878.3883 but bound is 1000000.0000
Warning: Variable TailAero3.Re could cause inaccurate result because it is above upper bound. Solution is 2223877.9590 but bound is 1000000.0000
Warning: Variable TailAero4.Re could cause inaccurate result because it is above upper bound. Solution is 1853897.1004 but bound is 1000000.0000
Warning: Variable TailAero5.Re could cause inaccurate result because it is above upper bound. Solution is 1853897.1004 but bound is 1000000.0000
Warning: Variable TailAero.Re could cause inaccurate result because it is above upper bound. Solution is 2220959.7939 but bound is 1000000.0000
Warning: Variable TailAero1.Re could cause inaccurate result because it is above upper bound. Solution is 2499796.7837 but bound is 1000000.0000
Warning: Variable TailAero2.Re could cause inaccurate result because it is above upper bound. Solution is 1860712.4314 but bound is 1000000.0000
Warning: Variable TailAero3.Re could cause inaccurate result because it is above upper bound. Solution is 1860712.4314 but bound is 1000000.0000
Warning: Variable TailAero4.Re could cause inaccurate result because it is above upper bound. Solution is 1853896.1324 but bound is 1000000.0000
Warning: Variable TailAero5.Re could cause inaccurate result because it is above upper bound. Solution is 1853896.1324 but bound is 1000000.0000
Warning: Variable TailAero.Re could cause inaccurate result because it is above upper bound. Solution is 2220953.3820 but bound is 1000000.0000
Warning: Variable TailAero1.Re could cause inaccurate result because it is above upper bound. Solution is 2499787.8981 but bound is 1000000.0000
Warning: Variable TailAero2.Re could cause inaccurate result because it is above upper bound. Solution is 1860716.9875 but bound is 1000000.0000
Warning: Variable TailAero3.Re could cause inaccurate result because it is above upper bound. Solution is 1860716.3650 but bound is 1000000.0000
Warning: Variable TailAero4.Re could cause inaccurate result because it is above upper bound. Solution is 1853896.9876 but bound is 1000000.0000
Warning: Variable TailAero5.Re could cause inaccurate result because it is above upper bound. Solution is 1853895.6312 but bound is 1000000.0000
Warning: Variable WingAero.Re could cause inaccurate result because it is above upper bound. Solution is 1884891.6332 but bound is 700000.0000
Warning: Variable WingAero1.Re could cause inaccurate result because it is above upper bound. Solution is 1910419.6195 but bound is 700000.0000
Warning: Variable WingAero.Re could cause inaccurate result because it is above upper bound. Solution is 1910412.9866 but bound is 700000.0000
Warning: Variable WingAero1.Re could cause inaccurate result because it is above upper bound. Solution is 1910412.9866 but bound is 700000.0000
Warning: Variable WingAero.Re could cause inaccurate result because it is above upper bound. Solution is 1910419.1808 but bound is 700000.0000
Warning: Variable WingAero1.Re could cause inaccurate result because it is above upper bound. Solution is 1910419.4139 but bound is 700000.0000
Beginning signomial solve.
Using solver 'mosek'
Solving for 20 variables.
Solving took 0.0131 seconds.
Using solver 'mosek'
Solving for 20 variables.
Solving took 0.0119 seconds.
Using solver 'mosek'
Solving for 20 variables.
Solving took 0.012 seconds.
Using solver 'mosek'
Solving for 20 variables.
Solving took 0.0119 seconds.
Solving took 4 GP solves and 0.0553 seconds.
Beginning signomial solve.
Using solver 'mosek_cli'
Solving for 20 variables.
Solving took 0.0458 seconds.
Using solver 'mosek_cli'
Solving for 20 variables.
Solving took 0.0429 seconds.
Using solver 'mosek_cli'
Solving for 20 variables.
Solving took 0.0433 seconds.
Using solver 'mosek_cli'
Solving for 20 variables.
Solving took 0.11 seconds.
Solving took 4 GP solves and 0.254 seconds.
Beginning signomial solve.
Using solver 'mosek_conif'
Solving for 20 variables.
Solving took 0.0159 seconds.
Using solver 'mosek_conif'
Solving for 20 variables.
Solving took 0.0144 seconds.
Using solver 'mosek_conif'
Solving for 20 variables.
Solving took 0.0127 seconds.
Using solver 'mosek_conif'
Solving for 20 variables.
Solving took 0.0142 seconds.
Solving took 4 GP solves and 0.0635 seconds.
Cloning into 'eVTOL'...

Running tests...
----------------------------------------------------------------------
...
----------------------------------------------------------------------
Ran 3 tests in 8.778s

OK

Generating XML reports...
adding test for 'models/model_tests.py'
USING LOCAL DIRECTORY AS GPKITMODELS DIRECTORY
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', '--no-cache-dir', '--no-deps', '-e', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/robust.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {})

calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
  attempt 2
  attempt 3
  attempt 4
  attempt 5
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/shopping.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {})

calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gassolar.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/jho.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/turbofan.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt, mosek_cli', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/solar.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'skipsolvers': 'cvxopt', 'pip install': 'pandas, git+https://github.com/convexengineering/gpfit.git, git+https://github.com/convexengineering/gassolar.git', 'gpkit-models branch': 'master'})

calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/convexengineering/gpfit.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/convexengineering/gassolar.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gplibrary.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git'})

calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek/venv2_gpkit/bin/pip', 'install', '.']
  attempt 1
calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/eVTOL.git']
  attempt 1

SETTINGS
defaultdict(<type 'str'>, {})

[Execution node] check if [macys_VM] is in [[windows10x64, windows7x64]]
Run condition [Execution node ] preventing perform for step [Execute Windows batch command]
INFO: Starting to record.
INFO: Processing JUnit
INFO: [JUnit] - 62 test report file(s) were found with the pattern '**/test_reports/*.xml, **/test_reports_nounits/*.xml' relative to '/Users/jenkins/workspace/CE_gplibrary_Push_research_models/mosek' for the testing framework 'JUnit'.
INFO: Check 'Failed Tests' threshold.
INFO: Check 'Skipped Tests' threshold.
INFO: Setting the build status to SUCCESS
INFO: Stopping recording.
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: SUCCESS